/**
* 显示消息提示框
* @param content 提示的标题
*/
export function toast(content) {
  uni.showToast({
    icon: 'none',
    title: content
  })
}

/**
* 显示模态弹窗
* @param content 提示的标题
*/
export function showConfirm(content) {
  return new Promise((resolve, reject) => {
    uni.showModal({
      title: '提示',
      content: content,
      cancelText: '取消',
      confirmText: '确定',
      success: function(res) {
        resolve(res)
      }
    })
  })
}

/**
* 参数处理
* @param params 参数
*/
export function tansParams(params) {
  let result = ''
  for (const propName of Object.keys(params)) {
    const value = params[propName]
    var part = encodeURIComponent(propName) + "="
    if (value !== null && value !== "" && typeof (value) !== "undefined") {
      if (typeof value === 'object') {
        for (const key of Object.keys(value)) {
          if (value[key] !== null && value[key] !== "" && typeof (value[key]) !== 'undefined') {
            let params = propName + '[' + key + ']'
            var subPart = encodeURIComponent(params) + "="
            result += subPart + encodeURIComponent(value[key]) + "&"
          }
        }
      } else {
        result += part + encodeURIComponent(value) + "&"
      }
    }
  }
  return result
}

// 文件后缀名处理
export function getTypeName(fileName){
	let name = fileName.split('.').pop().toUpperCase()
	let type = ''
	switch (name) {
		case 'PPT':
		case 'PPTX':
			type = 'ppt'
			break
		case 'PNG':
		case 'GIF':
		case 'JPG':
		case 'JPEG':
		case 'SVG':
		case 'WEBP':
		case 'GIF':
		case 'BMP':
			type = 'png'
			break
		case 'DOC':
		case 'DOCX':
			type = 'doc'
			break
		case 'MP3':
			type = 'mp3'
			break
		case 'PDF':
			type = 'pdf'
			break
		case 'MP4':
		case 'MPEG-2':
		case 'MKV':
		case 'MPEG-4':
		case 'AVI':
		case 'MOV':
			type = 'video'
			break
	}
	return type
}

export function isWeiXin(){
	var ua = window.navigator.userAgent.toLowerCase();
	if (ua.match(/MicroMessenger/i) == 'micromessenger') {
	    return true;
	} else {
	    return false;
	}
}