package org.dromara.common.core.constant;

/**
 * 用户常量信息
 *
 * @author ruoyi
 */
public interface UserConstants {

    /**
     * 平台内系统用户的唯一标志
     */
    String SYS_USER = "SYS_USER";

    /**
     * 正常状态
     */
    String NORMAL = "0";

    /**
     * 异常状态
     */
    String EXCEPTION = "1";

    /**
     * 用户正常状态
     */
    String USER_NORMAL = "0";

    /**
     * 用户封禁状态
     */
    String USER_DISABLE = "1";

    /**
     * 角色正常状态
     */
    String ROLE_NORMAL = "0";

    /**
     * 角色封禁状态
     */
    String ROLE_DISABLE = "1";

    /**
     * 部门正常状态
     */
    String DEPT_NORMAL = "0";

    /**
     * 部门停用状态
     */
    String DEPT_DISABLE = "1";

    /**
     * 岗位正常状态
     */
    String POST_NORMAL = "0";

    /**
     * 岗位停用状态
     */
    String POST_DISABLE = "1";

    /**
     * 字典正常状态
     */
    String DICT_NORMAL = "0";

    /**
     * 是否为系统默认（是）
     */
    String YES = "Y";

    /**
     * 是否菜单外链（是）
     */
    String YES_FRAME = "0";

    /**
     * 是否菜单外链（否）
     */
    String NO_FRAME = "1";

    /**
     * 菜单正常状态
     */
    String MENU_NORMAL = "0";

    /**
     * 菜单停用状态
     */
    String MENU_DISABLE = "1";

    /**
     * 菜单类型（目录）
     */
    String TYPE_DIR = "M";

    /**
     * 菜单类型（菜单）
     */
    String TYPE_MENU = "C";

    /**
     * 菜单类型（按钮）
     */
    String TYPE_BUTTON = "F";

    /**
     * Layout组件标识
     */
    String LAYOUT = "Layout";

    /**
     * ParentView组件标识
     */
    String PARENT_VIEW = "ParentView";

    /**
     * InnerLink组件标识
     */
    String INNER_LINK = "InnerLink";

    /**
     * 用户名长度限制
     */
    int USERNAME_MIN_LENGTH = 2;
    int USERNAME_MAX_LENGTH = 20;

    /**
     * 密码长度限制
     */
    int PASSWORD_MIN_LENGTH = 5;
    int PASSWORD_MAX_LENGTH = 20;

    /**
     * 超级管理员ID
     */
    Long SUPER_ADMIN_ID = 1L;

    /**
     * 用户身份-医生
     */
    String LOGIN_IDENTITY_DOCTOR = "0";

    /**
     * 用户身份-志愿者
     */
    String LOGIN_IDENTITY_VOLUNTEER = "1";

    /**
     * 用户身份-专家
     */
    String LOGIN_IDENTITY_EXPERT = "2";

    /**
     * 用户新增导入
     */
    String IMPORT_ADD = "0";

    /**
     * 用户更新导入
     */
    String IMPORT_UPDATE = "1";

    /**
     * 用户未导入
     */
    String NOT_IMPORTED = "0";

    /**
     * 用户已导入
     */
    String IMPORTED = "1";

    /**
     * 协议未确认
     */
    String UNCONFIRMED = "0";

    /**
     * 协议已确认
     */
    String CONFIRMED = "1";


    /**
     * 职称-主任医生-key
     */
    String TITLE_ONE_KEY = "0";

    /**
     * 职称-主任医生-value
     */
    String TITLE_ONE_VALUE = "主任医师";

    /**
     * 职称-副主任医生-key
     */
    String TITLE_TWO_KEY = "1";

    /**
     * 职称-副主任医生-value
     */
    String TITLE_TWO_VALUE = "副主任医师";

    /**
     * 职称-主治医师-key
     */
    String TITLE_THREE_KEY = "2";

    /**
     * 职称-主治医师-value
     */
    String TITLE_THREE_VALUE = "主治医师";

    /**
     * 职称-住院医师-key
     */
    String TITLE_FOUR_KEY = "3";

    /**
     * 职称-住院医师-value
     */
    String TITLE_FOUR_VALUE = "住院医师";


}
