package org.dromara.business.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 意见反馈对象 case_feedback
 *
 * @author wuzhigang
 * @date 2023-12-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("case_feedback")
public class CaseFeedback extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 意见反馈用户ID
     */
    private Long userId;

    /**
     * 意见反馈分类 0产品建议 1bug反馈 2想增加的功能
     */
    private String feedbackType;

    /**
     * 意见反馈
     */
    private String feedback;


}
