package org.dromara.business.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 用户导入记录对象 case_import_user
 *
 * @author wuzhigang
 * @date 2023-11-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("case_import_user")
public class CaseImportUser extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "user_id")
    private Long userId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 单位名称
     */
    private String organizationName;

    /**
     * 职称
     */
    private String title;

    /**
     * 导入批次
     */
    private String importBatch;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;

    /**
     * 用户状态（0新增 1已存在）
     */
    private String userStatus;

    /**
     * 角色ID
     */
    private Long roleId;

    /**
     * 导入状态（0未导入 1已导入）
     */
    private String importStatus;

    /**
     * 用户编码
     */
    private String userCode;

    /**
     * 身份 0医生 1志愿者 2专家
     */
    private String loginIdentity;

    /**
     * 解析次数
     */
    private Integer caseAnalysisTimes;

}
