package org.dromara.business.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 合作组织对象 case_tenant_organization
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("case_tenant_organization")
public class CaseTenantOrganization extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 组织名称
     */
    private String organizationName;

    /**
     * 组织分类 0学会 1协会 2基金会
     */
    private String organizationType;

    /**
     * 组织logo 字符串
     */
    private String organizationLogoStr;

    /**
     * 省编码
     */
    private String provinceCode;

    /**
     * 省名称
     */
    private String provinceName;

    /**
     * 市编码
     */
    private String cityCode;

    /**
     * 市名称
     */
    private String cityName;

    /**
     * 状态 0启用,1禁用
     */
    private String status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


}
