package org.dromara.business.domain.bo;

import org.dromara.business.domain.CaseFeedback;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 意见反馈业务对象 case_feedback
 *
 * @author wuzhigang
 * @date 2023-12-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CaseFeedback.class, reverseConvertGenerate = false)
public class CaseFeedbackBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 意见反馈用户ID
     */
    @NotNull(message = "意见反馈用户ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long userId;

    /**
     * 意见反馈分类 0产品建议 1bug反馈 2想增加的功能
     */
    @NotBlank(message = "意见反馈分类不能为空", groups = { AddGroup.class, EditGroup.class })
    private String feedbackType;

    /**
     * 意见反馈
     */
    @NotBlank(message = "意见反馈不能为空", groups = { AddGroup.class, EditGroup.class })
    private String feedback;


}
