package org.dromara.business.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;

import java.io.Serial;
import java.io.Serializable;


/**
 * 病例用户导入VO
 *
 * @author wuzhigang
 * @date 2023-11-23
 */
@Data
@NoArgsConstructor
public class CaseExcelImportUserVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 用户姓名
     */
    @ExcelProperty(value = "用户姓名")
    private String nickName;

    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码")
    private String phonenumber;

    /**
     * 单位名称
     */
    @ExcelProperty(value = "单位名称")
    private String organizationName;

    /**
     * 职称
     */
    @ExcelProperty(value = "职称", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "sys_user_title")
    private String title;

    /**
     * 解析次数
     */
    @ExcelProperty(value = "解析次数")
    private Integer caseAnalysisTimes;

}
