package org.dromara.business.domain.vo;

import org.dromara.business.domain.CaseFeedback;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 意见反馈视图对象 case_feedback
 *
 * @author wuzhigang
 * @date 2023-12-01
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CaseFeedback.class)
public class CaseFeedbackVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 意见反馈用户ID
     */
    @ExcelProperty(value = "意见反馈用户ID")
    private Long userId;

    /**
     * 意见反馈分类 0产品建议 1bug反馈 2想增加的功能
     */
    @ExcelProperty(value = "意见反馈分类 0产品建议 1bug反馈 2想增加的功能")
    private String feedbackType;

    /**
     * 意见反馈
     */
    @ExcelProperty(value = "意见反馈")
    private String feedback;


}
