package org.dromara.business.domain.vo;

import org.dromara.business.domain.CaseImportUser;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 用户导入记录视图对象 case_import_user
 *
 * @author wuzhigang
 * @date 2023-11-23
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CaseImportUser.class)
public class CaseImportUserVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户编码
     */
    private String userCode;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 用户姓名
     */
    @ExcelProperty(value = "用户姓名")
    private String nickName;

    /**
     * 手机号码
     */
    @ExcelProperty(value = "手机号码")
    private String phonenumber;

    /**
     * 单位名称
     */
    @ExcelProperty(value = "单位名称")
    private String organizationName;

    /**
     * 职称
     */
    @ExcelProperty(value = "职称")
    private String title;

    /**
     * 导入批次
     */
    private String importBatch;


    /**
     * 用户状态（0新增 1已存在）
     */
    private String userStatus;

    /**
     * 角色ID
     */
    private Long roleId;

    /**
     * 导入状态（0未导入 1已导入）
     */
    private String importStatus;

    /**
     * 身份 0医生 1志愿者 2专家
     */
    private String loginIdentity;

    /**
     * 解析次数
     */
    private Integer caseAnalysisTimes;

}
