package org.dromara.business.domain.vo;

import org.dromara.business.domain.CaseTenantOrganization;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.vo.SysOssUploadVo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 合作组织视图对象 case_tenant_organization
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CaseTenantOrganization.class)
public class CaseTenantOrganizationVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 组织名称
     */
    @ExcelProperty(value = "组织名称")
    private String organizationName;

    /**
     * 组织分类 0学会 1协会 2基金会
     */
    @ExcelProperty(value = "组织分类 0学会 1协会 2基金会")
    private String organizationType;

    /**
     * 省编码
     */
    private String provinceCode;

    /**
     * 省名称
     */
    @ExcelProperty(value = "省")
    private String provinceName;

    /**
     * 市编码
     */
    private String cityCode;

    /**
     * 市名称
     */
    @ExcelProperty(value = "市")
    private String cityName;

    /**
     * 组织logo 字符串
     */
    private String organizationLogoStr;

    /**
     * 组织logo OSS信息
     */
    private List<SysOssUploadVo> organizationLogo;

    /**
     * 状态 0启用,1禁用
     */
    @ExcelProperty(value = "状态 0启用,1禁用")
    private String status;

    /**
     * 租户数量
     */
    private Long tenantNumber;

    /**
     * 病例数量
     */
    private Long caseNumber;

}
