package org.dromara.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.SysDoctorVolunteer;
import org.dromara.system.domain.SysUser;
import org.dromara.system.domain.vo.SysUserVo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 医生志愿者关联视图对象 sys_doctor_volunteer
 *
 * @author wuzhigang
 * @date 2023-12-21
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SysDoctorVolunteer.class)
public class DoctorVolunteerVo  implements Serializable {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 医生用户ID
     */
    @ExcelProperty(value = "医生用户ID")
    private Long doctorUserId;

    /**
     * 志愿者用户ID
     */
    @ExcelProperty(value = "志愿者用户ID")
    private Long volunteerUserId;

    /**
     * 医生用户信息
     */
    private SysUser doctorUser;

    /**
     * 志愿者用户信息
     */
    private SysUser volunteerUser;


    /**
     * 志愿者上传病例数量
     */
    private Integer caseNumber;

    /**
     * 志愿者上传病例列表
     */
    private List<CaseBaseInfoVo> caseBaseInfoVoList;
}
