package org.dromara.business.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.business.domain.CaseTenantOrganization;
import org.dromara.business.domain.vo.CaseTenantOrganizationVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

/**
 * 合作组织Mapper接口
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
public interface CaseTenantOrganizationMapper extends BaseMapperPlus<CaseTenantOrganization, CaseTenantOrganizationVo> {

    /**
     * 查询组织列表
     *
     * @param build
     * @param wrapper
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")
    Page<CaseTenantOrganizationVo> selectVoPageList(@Param("page") Page<Object> build, @Param(Constants.WRAPPER) Wrapper<CaseTenantOrganization> wrapper);
}
