package org.dromara.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;

/**
 * 消息中心对象 case_message
 *
 * @author wuzhigang
 * @date 2023-12-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("case_message")
public class CaseMessage extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 消息分类 0病例 1医生志愿者绑定
     */
    private String messageType;

    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 业务主键
     */
    private Long businessId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 业务状态 0审核通过 1审核未通过 2已美化 3绑定 4解绑 5已点评
     */
    private String businessStatus;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


}

