package org.dromara.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;

/**
 * 病例短信配置对象 case_sms_config
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("case_sms_config")
public class SysSmsConfig extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 消息名称
     */
    private String smsName;

    /**
     * 消息编码
     */
    private String smsCode;

    /**
     * 消息文案
     */
    private String smsContent;

    /**
     * 短信接收人
     */
    private String smsRecipient;

    /**
     * 状态 0启用,1禁用
     */
    private String status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


}
