package org.dromara.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 租户对象 sys_tenant
 *
 * @author Michelle.Chung
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_tenant")
public class SysTenant extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 联系人
     */
    private String contactUserName;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 统一社会信用代码
     */
    private String licenseNumber;

    /**
     * 地址
     */
    private String address;

    /**
     * 域名
     */
    private String domain;

    /**
     * 企业简介
     */
    private String intro;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户套餐编号
     */
    private Long packageId;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 用户数量（-1不限制）
     */
    private Long accountCount;

    /**
     * 租户状态（0正常 1停用）
     */
    private String status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;

    /**
     * 合作组织
     */
    private String tenantOrganization;

    /**
     * 注册（0开通 1关闭）
     */
    private String register;

    /**
     * 协议文件地址
     */
    private String agreementFileUrl;

    /**
     * 学会管理端访问地址
     */
    private String pcAccessPath;

    /**
     * 移动端访问地址
     */
    private String appAccessPath;

    /**
     * 授权登录身份
     */
    private String authorizedLogin;

    /**
     * 病例需要审核 0是 1否
     */
    private String caseReview;

    /**
     * 病例需要点评 0是 1否
     */
    private String caseComment;

    /**
     * 病例点评分配 0手动分配  1自动分配
     */
    private String caseCommentDistribution;

    /**
     * 主题色
     */
    private String themeColor;

    /**
     * 病例是否需要评分 0是 1否
     */
    private String caseCommentScore;

    /**
     * 水印内容
     */
    private String waterMarkText;
}
