package org.dromara.system.domain.bo;

import org.dromara.system.domain.CaseCommentSetting;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 病例点评配置业务对象 case_comment_setting
 *
 * @author wuzhigang
 * @date 2024-01-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CaseCommentSetting.class, reverseConvertGenerate = false)
public class CaseCommentSettingBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 病例点评是否评分 0是 1否
     */
    @NotBlank(message = "病例点评是否评分 0是 1否不能为空", groups = { AddGroup.class, EditGroup.class })
    private String caseCommentScore;

    /**
     * 病例点评评分提示
     */
    @NotBlank(message = "病例点评评分提示不能为空", groups = { AddGroup.class, EditGroup.class })
    private String commentTips;


}
