package org.dromara.system.domain.bo;

import org.dromara.system.domain.SysDoctorVolunteer;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 医生志愿者关联业务对象 sys_doctor_volunteer
 *
 * @author wuzhigang
 * @date 2023-12-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SysDoctorVolunteer.class, reverseConvertGenerate = false)
public class SysDoctorVolunteerBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 医生用户ID
     */
    private Long doctorUserId;

    /**
     * 志愿者用户ID
     */
    private Long volunteerUserId;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

}
