package org.dromara.system.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.system.domain.SysSmsConfig;

/**
 * 病例短信配置业务对象 case_sms_config
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SysSmsConfig.class, reverseConvertGenerate = false)
public class SysSmsConfigBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 消息名称
     */
    @NotBlank(message = "消息名称不能为空", groups = { AddGroup.class })
    private String smsName;

    /**
     * 消息编码
     */
    @NotBlank(message = "消息编码不能为空", groups = { AddGroup.class })
    private String smsCode;

    /**
     * 消息文案
     */
    @NotBlank(message = "消息文案不能为空", groups = { AddGroup.class })
    private String smsContent;

    /**
     * 短信接收人
     */
    @NotBlank(message = "短信接收人不能为空", groups = { AddGroup.class })
    private String smsRecipient;

    /**
     * 状态 0启用,1禁用
     */
    @NotBlank(message = "状态 0启用,1禁用不能为空", groups = { AddGroup.class})
    private String status;


}
