package org.dromara.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.CaseCommentSetting;

import java.io.Serial;
import java.io.Serializable;


/**
 * 病例点评配置视图对象 case_comment_setting
 *
 * @author wuzhigang
 * @date 2024-01-03
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CaseCommentSetting.class)
public class CaseCommentSettingVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 病例点评是否评分 0是 1否
     */
    @ExcelProperty(value = "病例点评是否评分 0是 1否")
    private String caseCommentScore;

    /**
     * 病例点评评分提示
     */
    @ExcelProperty(value = "病例点评评分提示")
    private String commentTips;


}
