package org.dromara.system.domain.vo;

import org.dromara.system.domain.CaseMessage;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 消息中心视图对象 case_message
 *
 * @author wuzhigang
 * @date 2023-12-06
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CaseMessage.class)
public class CaseMessageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 消息分类 0病例 1医生志愿者绑定
     */
    @ExcelProperty(value = "消息分类 0病例 1医生志愿者绑定")
    private String messageType;

    /**
     * 消息内容
     */
    @ExcelProperty(value = "消息内容")
    private String messageContent;

    /**
     * 业务主键
     */
    @ExcelProperty(value = "业务主键")
    private Long businessId;

    /**
     * 用户ID
     */
    @ExcelProperty(value = "用户ID")
    private Long userId;

    /**
     * 业务状态 0审核通过 1审核未通过 2已美化 3绑定 4解绑 5已点评
     */
    @ExcelProperty(value = "业务状态 0审核通过 1审核未通过 2已美化 3绑定 4解绑 5已点评")
    private String businessStatus;


}

