package org.dromara.system.domain.vo;

import org.dromara.system.domain.SysDoctorVolunteer;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.SysUser;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 医生志愿者关联视图对象 sys_doctor_volunteer
 *
 * @author wuzhigang
 * @date 2023-12-21
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SysDoctorVolunteer.class)
public class SysDoctorVolunteerVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 医生用户ID
     */
    @ExcelProperty(value = "医生用户ID")
    private Long doctorUserId;

    /**
     * 志愿者用户ID
     */
    @ExcelProperty(value = "志愿者用户ID")
    private Long volunteerUserId;

}
