package org.dromara.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.SysSmsConfig;

import java.io.Serial;
import java.io.Serializable;


/**
 * 病例短信配置视图对象 case_sms_config
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SysSmsConfig.class)
public class SysSmsConfigVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 消息名称
     */
    @ExcelProperty(value = "消息名称")
    private String smsName;

    /**
     * 消息编码
     */
    @ExcelProperty(value = "消息编码")
    private String smsCode;

    /**
     * 消息文案
     */
    @ExcelProperty(value = "消息文案")
    private String smsContent;

    /**
     * 短信接收人
     */
    @ExcelProperty(value = "短信接收人")
    private String smsRecipient;

    /**
     * 状态 0启用,1禁用
     */
    @ExcelProperty(value = "状态 0启用,1禁用")
    private String status;


}
