package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.SysTenant;
import org.dromara.system.domain.vo.SysTenantVo;

/**
 * 租户Mapper接口
 *
 * @author Michelle.Chung
 */
@InterceptorIgnore(tenantLine = "true")
public interface SysTenantMapper extends BaseMapperPlus<SysTenant, SysTenantVo> {

    /**
     * 查询租户列表
     *
     * @param page
     * @param queryWrapper
     * @return
     */
    Page<SysTenantVo> selectVoPageList(@Param("page") Page<SysTenant> page, @Param(Constants.WRAPPER) Wrapper<SysTenant> queryWrapper);

    /**
     * 查询租户主题色列表
     *
     * @param page
     * @param queryWrapper
     * @return
     */
    Page<SysTenantVo> themeColorList(@Param("page") Page<SysTenant> page, @Param(Constants.WRAPPER) Wrapper<SysTenant> queryWrapper);

    /**
     * 根据租户ID查询租户信息
     *
     * @param tenantId 租户ID
     * @return
     */
    SysTenantVo queryByTenantId(@Param("tenantId") String tenantId);
}
