import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { auditCaseCommentQuery } from '@/api/business/auditCaseComment/types';
import { auditCommonVO } from '@/api/business/commentManage/types';

/**
 * 查询课件点评审核信息列表
 * @param query
 * @returns {*}
 */
export const listAuditCaseCommentInfo = (query?: auditCaseCommentQuery): AxiosPromise<auditCommonVO[]> => {
  return request({
    url: '/business/caseBaseInfo/commentAuditList',
    method: 'get',
    params: query
  });
};


/**
 * 修改课件基础信息
 * @param data
 */
export const updateAuditCaseCommentInfo = (data: any) => {
  return request({
    url: '/business/caseBaseInfo/commentAudit',
    method: 'put',
    data: data
  });
};

