import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { auditCaseInterpretationQuery } from '@/api/business/auditCaseInterpretation/types';
import { auditCommonVO } from '@/api/business/commentManage/types';

/**
 * 查询课件解析审核信息列表
 * @param query
 * @returns {*}
 */
export const listAuditCaseInterpretationInfo = (query?: auditCaseInterpretationQuery): AxiosPromise<auditCommonVO[]> => {
  return request({
    url: '/business/caseBaseInfo/analysisList',
    method: 'get',
    params: query
  });
};

/**
 * 修改课件解读审核信息
 * @param data
 */
export const updateuditCaseInterpretationInfo = (data: any) => {
  return request({
    url: '/business/caseBaseInfo/analysisAudit',
    method: 'put',
    data: data
  });
};


