export interface CaseBaseInfoVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 课件所属用户id
   */
  userId: string | number;

  /**
   * 课件上传用户id
   */
  uploadUserId: string | number;

  /**
   * 课件名称
   */
  caseName: string;

  /**
   * 课件名称
   */
  projectName: string;

  /**
   * 文件地址
   */
  caseFileUrl: string;

  /**
   * 文件美化后地址
   */
  caseBeautifyFileUrl: string;

  /**
   * 审核状态（0未审核 1通过 2拒绝）
   */
  checkStatus: string;

  /**
   * 课件描述
   */
  caseDescription: string;

  /**
   * 美化状态 0否 1是
   */
  beautifyStatus: string;

  /**
   * 上传方式 0直接上传 1志愿者上传
   */
  uploadType: string;

  /**
   * 点评专家ID
   */
  commentUserId: string | number;

  //课件状态（0正常 1禁用 ）
  caseStatus: string | number;
  caseFileList: any;
  caseBeautifyFileList: any;
  rejectReason:string;//拒绝原因
  userName:string; //所有者
  uploadUserName:string //上传人
}

export interface CaseBaseInfoForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 课件所属用户id
   */
  userId?: string | number;
  userIds?: string;

  /**
   * 课件上传用户id
   */
  uploadUserId?: string | number;

  /**
   * 课件名称
   */
  caseName?: string;

  /**
   * 项目名称
   */
  projectName?: string;

  /**
   * 文件地址
   */
  caseFileUrl?: string;

  /**
   * 文件美化后地址
   */
  caseBeautifyFileUrl?: string;
  caseBeautifyFileList?: any;

  /**
   * 审核状态（0未审核 1通过 2拒绝）
   */
  checkStatus?: string;
  /**
   * 审核状态（0正常 1禁用）
   */
  caseStatus?: string;
  /**
   * 课件描述
   */
  caseDescription?: string;

  /**
   * 美化状态 0否 1是
   */
  beautifyStatus?: string;

  /**
   * 上传方式 0直接上传 1志愿者上传
   */
  uploadType?: string;

  /**
   * 点评专家ID
   */
  commentUserId?: string | number;
  /**
   * 上传文件
   */
  caseFileList?: any;
  rejectReason?: string;
}

export interface CaseBaseInfoQuery extends PageQuery {
  /**
   * 课件所属用户id
   */
  userId?: string | number;
  userIds?: string;

  /**
   * 课件上传用户id
   */
  uploadUserId?: string | number;

  /**
   * 课件名称
   */
  caseName?: string;

  /**
   * 项目名称
   */
  projectName?: string;

  /**
   * 文件地址
   */
  caseFileUrl?: string;

  /**
   * 文件美化后地址
   */
  caseBeautifyFileUrl?: string;

  /**
   * 审核状态（0未审核 1通过 2拒绝）
   */
  checkStatus?: string;

  /**
   * 课件描述
   */
  caseDescription?: string;

  /**
   * 美化状态 0否 1是
   */
  beautifyStatus?: string;

  /**
   * 上传方式 0直接上传 1志愿者上传
   */
  uploadType?: string;

  /**
   * 点评专家ID
   */
  commentUserId?: string | number;
  commentUserIds: string | undefined;

  /**
   * 日期范围参数
   */
  params?: any;
  tenantId?: string | number;
}

export interface Doctoroption {
  /**
   * 用户ID
   */
  userId: string;
  /**
   * 用户姓名
   */
  userName: string;
}

export interface BeautifyNoticeVo{
  /**
   * 项目名称
   */
  projectName: string;
  /**
   * 病例所属用户id
   */
  userId: string | number;
  /**
   * 病例所属用户姓名
   */
  userName: string;
  /**
   * 病例数量
   */
  caseNumber: string | number;
  /**
   * 美化病例数量
   */
  beatifyCaseNumber: string | number;
  /**
   * APP链接地址
   */
  appUrl: string;
  /**
   * PC链接地址
   */
  pcUrl: string;
  /**
   * 下载次数
   */
  beautifyFileDownload: null | string | number;
}
