import { UploadFileVO } from "@/api/system/tenant/types";

export interface TenantOrganizationVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 组织名称
   */
  organizationName: string;

  /**
   * 组织分类 0学会 1协会 2基金会
   */
  organizationType: string;

  provinceCode: string;
  provinceName: string;
  cityCode: string;
  cityName: string;

  /**
   * 组织logo
   */
  organizationLogo: Array<UploadFileVO>;

  /**
   * 状态 0启用,1禁用
   */
  status: string;

}

export interface TenantOrganizationForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 组织名称
   */
  organizationName?: string;

  /**
   * 组织分类 0学会 1协会 2基金会
   */
  organizationType?: string;
  provinceCode: string;
  provinceName: string;
  cityCode: string;
  cityName: string;

  /**
   * 组织logo
   */
  organizationLogo:Array<UploadFileVO>;

  /**
   * 状态 0启用,1禁用
   */
  status?: string;

}

export interface TenantOrganizationQuery extends PageQuery {

  /**
   * 组织名称
   */
  organizationName?: string;

  /**
   * 组织分类 0学会 1协会 2基金会
   */
  organizationType?: string;
}

export interface AreaList {
  value: string
  label: string
  children?: AreaList[]
}



