import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { commentSettingForm } from './types';

/**
 * 查询点评设置数据
 * @param query
 * @returns {*}
 */

export const listCommentSettingInfo = (): AxiosPromise<commentSettingForm[]> => {
  return request({
    url: '/system/commentSetting/list',
    method: 'get',
  });
};


/**
 * 修改点评设置内容
 * @param data
 */
export const updateCommentTips = (data: commentSettingForm) => {
  return request({
    url: '/system/commentSetting',
    method: 'put',
    data: data
  });
};


