import { UploadUserFile } from "element-plus";

export interface TenantVO extends BaseEntity {
  id: number | string;
  tenantId: string;  //租户编号
  contactUserName: string;  //联系人
  contactPhone: string; //联系电话
  companyName: string;  //租户名称
  remark: string; //备注
  packageId: string | number; //租户套餐编号
  status: string; //租户状态（0正常 1停用）
  organizationName: string; //合作组织
  tenantOrganization:string;//合作组织id
  register: string; //注册（0开通 1关闭）
  pcAccessPath: string; //学会管理端访问地址
  appAccessPath: string;  //移动端访问地址
  authorizedLogin:string[]|string; //注册方式
  caseNumber:string;  //课件数
  userNumber:string;  //用户数
  agreementFileList:Array<UploadFileVO>;//附件列表
}

export interface TenantQuery extends PageQuery {
  tenantId: string | number;  //租户编号
  contactUserName: string;
  contactPhone: string;
  companyName: string;
  tenantOrganization: string; //合作组织id
}

export interface TenantForm {
  id: number | string | undefined;
  tenantId: number | string | undefined;  //租户编号
  contactUserName: string;  //联系人
  contactPhone: string; //联系电话
  companyName: string;  //租户名称
  remark: string; //备注
  waterMarkText: string; //水印
  packageId: string | number; //租户套餐编号
  status: string; //租户状态（0正常 1停用）
  organizationName: string; //合作组织
  tenantOrganization:string;//合作组织id
  register: string; //注册（0开通 1关闭）
  pcAccessPath: string; //学会管理端访问地址
  appAccessPath: string;  //移动端访问地址
  authorizedLogin:any; //注册方式
  caseReview:string; //课件需要审核 0是 1否
  caseComment:string; //课件需要点评 0是 1否
  caseCommentScore:string; //课件是否需要评分 0是 1否
  caseCommentDistribution:string; //课件点评分配 0手动分配  1自动分配
  agreementFileList:Array<UploadFileVO>;//附件列表
}

export interface UploadFileVO extends UploadUserFile{
  ossId:string;//对象存储主键
}
