/*
 Navicat Premium Data Transfer

 Source Server         : 119.3.122.248
 Source Server Type    : MySQL
 Source Server Version : 50724 (5.7.24)
 Source Host           : 119.3.122.248:3306
 Source Schema         : case_collection

 Target Server Type    : MySQL
 Target Server Version : 50724 (5.7.24)
 File Encoding         : 65001

 Date: 18/01/2024 17:14:52
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for case_base_info
-- ----------------------------
DROP TABLE IF EXISTS `case_base_info`;
CREATE TABLE `case_base_info`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户ID',
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '病例所属用户id',
  `upload_user_id` bigint(20) NULL DEFAULT NULL COMMENT '病例上传用户id',
  `case_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例ID',
  `case_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例名称',
  `case_file` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例文件',
  `case_beautify_file` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例美化文件',
  `check_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '审核状态（0未审核 1通过 2拒绝）',
  `case_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例描述',
  `case_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例状态 0正常 1禁用',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `beautify_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '美化状态 0否 1是',
  `upload_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '上传方式 0直接上传 1志愿者上传',
  `comment_user_id` bigint(20) NULL DEFAULT NULL COMMENT '点评专家ID',
  `reject_reason` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '审核拒绝原因',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `comment_time` datetime NULL DEFAULT NULL COMMENT '点评时间',
  `check_time` datetime NULL DEFAULT NULL COMMENT '审核时间',
  `comment_audit_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '点评审核状态 0未审核 1审核未通过 2审核通过 ',
  `comment_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '点评状态 0已点评 1待点评 2重新点评 ',
  `comment_content` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '点评内容',
  `comment_reject_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '点评拒绝原因',
  `case_analysis_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例解析审核状态 0未审核 1审核未通过 2审核通过 3解析完成',
  `analysis_reject_reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例解析拒绝原因',
  `comment_score` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例点评评分',
  `project_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `analysis_json` json NULL COMMENT '病例解析结果JSON',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '病例基础信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_base_info
-- ----------------------------

-- ----------------------------
-- Table structure for case_comment_setting
-- ----------------------------
DROP TABLE IF EXISTS `case_comment_setting`;
CREATE TABLE `case_comment_setting`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户ID',
  `case_comment_score` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例点评是否评分 0是 1否',
  `comment_tips` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例点评评分提示',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '病例点评配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_comment_setting
-- ----------------------------
INSERT INTO `case_comment_setting` VALUES (1742386106915090433, '000000', '0', '请按照以下要求输入点评内容：\n 1.字数不少于100字\n 2.无需提及不良反应\n 3.如产品疗效较好，请提及疗效请按照以下要求输入点评内容：\n 1.字数不少于100字\n 2.无需提及不良反应\n 3.如产品疗效较好，请提及疗效请按照以下要求输入点评内容：\n 1.字数不少于100字\n 2.无需提及不良反应\n 3.如产品疗效较好，请提及疗效', '0', NULL, 1, '2024-01-03 11:23:15', 1, '2024-01-15 13:45:11');

-- ----------------------------
-- Table structure for case_feedback
-- ----------------------------
DROP TABLE IF EXISTS `case_feedback`;
CREATE TABLE `case_feedback`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户ID',
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '意见反馈用户ID',
  `feedback_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '意见反馈分类 0产品建议 1bug反馈 2想增加的功能',
  `feedback` varchar(600) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '意见反馈',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '意见反馈表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_feedback
-- ----------------------------

-- ----------------------------
-- Table structure for case_import_user
-- ----------------------------
DROP TABLE IF EXISTS `case_import_user`;
CREATE TABLE `case_import_user`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '000000' COMMENT '租户编号',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `organization_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '单位名称',
  `title` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职称',
  `import_batch` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '导入批次',
  `user_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态 0新增 1已存在',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `role_id` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `import_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '导入状态 0未导入 1已导入',
  `user_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户编码',
  `login_identity` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录身份 0医生 1志愿者 2专家',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户导入记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_import_user
-- ----------------------------

-- ----------------------------
-- Table structure for case_message
-- ----------------------------
DROP TABLE IF EXISTS `case_message`;
CREATE TABLE `case_message`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户编号',
  `message_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息分类 0病例 1医生志愿者绑定 ',
  `message_content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息内容',
  `business_id` bigint(20) NULL DEFAULT NULL COMMENT '业务主键',
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  `business_status` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '业务状态 0审核通过 1审核未通过 2已美化 3绑定 4解绑 5已点评',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '消息中心表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_message
-- ----------------------------

-- ----------------------------
-- Table structure for case_sms_config
-- ----------------------------
DROP TABLE IF EXISTS `case_sms_config`;
CREATE TABLE `case_sms_config`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户编号',
  `sms_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息名称',
  `sms_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息编码',
  `sms_content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息文案',
  `sms_recipient` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '短信接收人',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '状态 0启用,1禁用',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '病例短信配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_sms_config
-- ----------------------------
INSERT INTO `case_sms_config` VALUES (1737007875798048770, '000000', '病例审核通过', 'SMS_464071297', '【H0】您提交的病例已通过审核', '医生/志愿者', '0', '0', NULL, 1, '2023-12-19 15:12:04', 1, '2024-01-12 13:28:02');
INSERT INTO `case_sms_config` VALUES (1737013208742334465, '000000', '病例审核未通过', 'SMS_464051368', '【H0】您提交的病例审核未通过，未通过原因为${refusal_reason}，请登录系统重新上传', '医生/志愿者', '0', '0', NULL, 1, '2023-12-19 15:33:16', 1, '2024-01-12 13:28:06');
INSERT INTO `case_sms_config` VALUES (1737341669960814593, '000000', '已上传美化病例', 'SMS_464051372', '【H0】您提交的病例已完成美化，请登录系统查看美化病例', '医生/志愿者', '0', '0', NULL, 1, '2023-12-20 13:18:27', 1, '2023-12-20 13:18:27');
INSERT INTO `case_sms_config` VALUES (1737341998903300098, '000000', '病例已点评', 'SMS_464061345', '【H0】您提交的病例专家已点评，请登录系统查看专家评语', '医生/志愿者', '0', '0', NULL, 1, '2023-12-20 13:19:45', 1, '2023-12-20 13:19:45');
INSERT INTO `case_sms_config` VALUES (1737344026807341058, '000000', '解析申请审核通过', 'SMS_464061348', '【H0】您提交的病例解析申请已通过，我们将于3日内完成解析。', '医生', '0', '0', NULL, 1, '2023-12-20 13:27:49', 1, '2023-12-20 13:27:49');
INSERT INTO `case_sms_config` VALUES (1737344211558043650, '000000', '解析申请审核未通过', 'SMS_464056300', '【H0】您提交的病例不满足解析条件，无法进行解析，请尝试申请其他病例解析。', '医生', '0', '0', NULL, 1, '2023-12-20 13:28:33', 1, '2023-12-20 13:28:43');
INSERT INTO `case_sms_config` VALUES (1737344474561875969, '000000', '解析已完成', 'SMS_464056301', '【H0】您提交的病例已完成解析，请登录系统查看病例解析结果', '医生', '0', '0', NULL, 1, '2023-12-20 13:29:36', 1, '2023-12-20 13:29:36');
INSERT INTO `case_sms_config` VALUES (1737344768628723713, '000000', '志愿者绑定医生', 'SMS_464126306', '【H0】您好，志愿者${name}已与您完成绑定，可辅助您上传病例，如取消绑定关系请登录系统查看个人中心，取消绑定', '医生', '0', '0', NULL, 1, '2023-12-20 13:30:46', 1, '2023-12-20 13:30:46');
INSERT INTO `case_sms_config` VALUES (1737344982966046722, '000000', '医生绑定志愿者', 'SMS_464126311', '【H0】您好，医生${name}已与您完成绑定，您可辅助医生上传病例，如取消绑定关系请登录系统查看个人中心，取消绑定', '志愿者', '0', '0', NULL, 1, '2023-12-20 13:31:37', 1, '2023-12-20 13:31:37');
INSERT INTO `case_sms_config` VALUES (1737345278509289474, '000000', '医生志愿者解绑', 'SMS_464101294', '【H0】您好，${name}已与您解除绑定关系，志愿者将无法辅助上传病例', '医生/志愿者', '0', '0', NULL, 1, '2023-12-20 13:32:47', 1, '2023-12-20 13:32:47');

-- ----------------------------
-- Table structure for case_tenant_organization
-- ----------------------------
DROP TABLE IF EXISTS `case_tenant_organization`;
CREATE TABLE `case_tenant_organization`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户编号',
  `organization_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '组织名称',
  `organization_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '组织分类 0学会 1协会 2基金会',
  `organization_logo_str` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '组织logo',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态 0启用,1禁用',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `province_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省编码',
  `province_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省名称',
  `city_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '市编码',
  `city_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '市名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '合作组织表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of case_tenant_organization
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL COMMENT '编号',
  `data_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '数据源名称',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1727142729118351361, 'master', 'sys_tenant', '租户表', NULL, NULL, 'SysTenant', 'crud', 'org.dromara.system', 'system', 'tenant', '租户', 'Lion Li', '0', '/', NULL, 103, 1, '2023-11-22 10:52:25', 1, '2023-11-22 10:52:25', NULL);
INSERT INTO `gen_table` VALUES (1727516376014200834, 'master', 'case_import_user', '用户导入记录表', NULL, NULL, 'CaseImportUser', 'crud', 'org.dromara.business', 'business', 'importUser', '用户导入记录', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', 103, 1, '2023-11-23 11:38:02', 1, '2023-11-23 10:44:45', NULL);
INSERT INTO `gen_table` VALUES (1729048083016126466, 'master', 'case_base_info', '病例基础信息表', NULL, NULL, 'CaseBaseInfo', 'crud', 'org.dromara.business', 'business', 'caseBaseInfo', '病例基础信息', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', 103, 1, '2023-11-27 17:05:24', 1, '2023-11-27 16:38:47', NULL);
INSERT INTO `gen_table` VALUES (1730400660483940353, 'master', 'case_feedback', '意见反馈表', NULL, NULL, 'CaseFeedback', 'crud', 'org.dromara.business', 'business', 'feedback', '意见反馈', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', NULL, 1, '2023-12-01 10:39:50', 1, '2023-12-01 09:55:36', NULL);
INSERT INTO `gen_table` VALUES (1732293106927075330, 'master', 'case_message', '消息中心表', NULL, NULL, 'CaseMessage', 'crud', 'org.dromara.business', 'business', 'message', '消息中心', '吴志刚', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', NULL, 1, '2023-12-06 16:04:30', 1, '2023-12-06 14:58:50', NULL);
INSERT INTO `gen_table` VALUES (1736947893352869890, 'master', 'case_sms_config', '病例短信配置', NULL, NULL, 'CaseSmsConfig', 'crud', 'org.dromara.business', 'business', 'smsConfig', '病例短信配置', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', NULL, 1, '2023-12-19 11:01:35', 1, '2023-12-19 11:16:05', NULL);
INSERT INTO `gen_table` VALUES (1737027129456955393, 'master', 'case_tenant_organization', '合作组织表', NULL, NULL, 'CaseTenantOrganization', 'crud', 'org.dromara.business', 'business', 'tenantOrganization', '合作组织', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":\"1737028602567823361\"}', NULL, 1, '2023-12-19 16:00:56', 1, '2023-12-19 16:35:16', NULL);
INSERT INTO `gen_table` VALUES (1737707128518295553, 'master', 'sys_doctor_volunteer', '医生志愿者关联表', NULL, NULL, 'SysDoctorVolunteer', 'crud', 'org.dromara.system', 'system', 'doctorVolunteer', '医生志愿者关联', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', NULL, 1, '2023-12-21 13:29:12', 1, '2023-12-21 13:30:54', NULL);
INSERT INTO `gen_table` VALUES (1742375328489062402, 'master', 'case_comment_setting', '病例点评配置表', NULL, NULL, 'CaseCommentSetting', 'crud', 'org.dromara.system', 'system', 'commentSetting', '病例点评配置', 'wuzhigang', '0', '/', '{\"treeCode\":null,\"treeName\":null,\"treeParentCode\":null,\"parentMenuId\":null}', NULL, 1, '2024-01-03 10:35:44', 1, '2024-01-03 10:40:43', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1727142729625862146, 1727142729118351361, 'id', 'id', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729625862147, 1727142729118351361, 'tenant_id', '租户编号', 'varchar(20)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776705, 1727142729118351361, 'contact_user_name', '联系人', 'varchar(20)', 'String', 'contactUserName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776706, 1727142729118351361, 'contact_phone', '联系电话', 'varchar(20)', 'String', 'contactPhone', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776707, 1727142729118351361, 'company_name', '租户名称', 'varchar(50)', 'String', 'companyName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776708, 1727142729118351361, 'license_number', '统一社会信用代码', 'varchar(30)', 'String', 'licenseNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776709, 1727142729118351361, 'address', '地址', 'varchar(200)', 'String', 'address', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776710, 1727142729118351361, 'intro', '企业简介', 'varchar(200)', 'String', 'intro', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776711, 1727142729118351361, 'domain', '域名', 'varchar(200)', 'String', 'domain', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776712, 1727142729118351361, 'remark', '备注', 'varchar(200)', 'String', 'remark', '0', '0', '1', '1', '1', '1', NULL, 'EQ', 'input', '', 10, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776713, 1727142729118351361, 'package_id', '租户套餐编号', 'bigint(20)', 'Long', 'packageId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776714, 1727142729118351361, 'expire_time', '过期时间', 'datetime', 'Date', 'expireTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776715, 1727142729118351361, 'account_count', '用户数量（-1不限制）', 'int(11)', 'Long', 'accountCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729688776716, 1727142729118351361, 'status', '租户状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 14, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885569, 1727142729118351361, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 15, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885570, 1727142729118351361, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 16, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885571, 1727142729118351361, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 17, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885572, 1727142729118351361, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 18, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885573, 1727142729118351361, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 19, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885574, 1727142729118351361, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 20, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885575, 1727142729118351361, 'tenant_organization', '合作组织', 'varchar(50)', 'String', 'tenantOrganization', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 21, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885576, 1727142729118351361, 'register', '注册（0开通 1关闭）', 'char(1)', 'String', 'register', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 22, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885577, 1727142729118351361, 'agreement_file_url', '协议文件地址', 'varchar(100)', 'String', 'agreementFileUrl', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 23, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885578, 1727142729118351361, 'pc_access_path', '学会管理端访问地址', 'varchar(100)', 'String', 'pcAccessPath', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 24, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727142729755885579, 1727142729118351361, 'app_access_path', '移动端访问地址', 'varchar(100)', 'String', 'appAccessPath', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 25, 103, 1, '2023-11-22 09:51:30', 1, '2023-11-22 09:51:30');
INSERT INTO `gen_table_column` VALUES (1727516376404271105, 1727516376014200834, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 103, 1, '2023-11-23 10:36:14', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271106, 1727516376014200834, 'tenant_id', '租户编号', 'varchar(20)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 103, 1, '2023-11-23 10:36:14', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271107, 1727516376014200834, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271108, 1727516376014200834, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271109, 1727516376014200834, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271110, 1727516376014200834, 'organization_name', '单位名称', 'varchar(50)', 'String', 'organizationName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 6, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271111, 1727516376014200834, 'title', '职称', 'varchar(20)', 'String', 'title', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271112, 1727516376014200834, 'import_batch', '导入批次', 'varchar(50)', 'String', 'importBatch', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271113, 1727516376014200834, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271114, 1727516376014200834, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376404271115, 1727516376014200834, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376467185666, 1727516376014200834, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 12, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1727516376467185667, 1727516376014200834, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 103, 1, '2023-11-23 10:36:15', 1, '2023-11-23 10:44:45');
INSERT INTO `gen_table_column` VALUES (1729048083477499906, 1729048083016126466, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:24');
INSERT INTO `gen_table_column` VALUES (1729048083477499907, 1729048083016126466, 'tenant_id', '租户ID', 'varchar(255)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:24');
INSERT INTO `gen_table_column` VALUES (1729048083477499908, 1729048083016126466, 'user_id', '病例所属用户id', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:24');
INSERT INTO `gen_table_column` VALUES (1729048083477499909, 1729048083016126466, 'upload_user_id', '病例上传用户id', 'bigint(20)', 'Long', 'uploadUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:24');
INSERT INTO `gen_table_column` VALUES (1729048083477499910, 1729048083016126466, 'case_name', '病例名称', 'varchar(255)', 'String', 'caseName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 6, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083477499913, 1729048083016126466, 'check_status', '审核状态（0未审核 1通过 2拒绝）', 'char(1)', 'String', 'checkStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083477499914, 1729048083016126466, 'case_description', '病例描述', 'varchar(255)', 'String', 'caseDescription', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083477499915, 1729048083016126466, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 12, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608770, 1729048083016126466, 'beautify_status', '美化状态 0否 1是', 'char(1)', 'String', 'beautifyStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 13, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608771, 1729048083016126466, 'upload_type', '上传方式 0直接上传 1志愿者上传', 'char(1)', 'String', 'uploadType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 14, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608772, 1729048083016126466, 'comment_user_id', '点评专家ID', 'bigint(20)', 'Long', 'commentUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608773, 1729048083016126466, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 17, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608774, 1729048083016126466, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 18, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608775, 1729048083016126466, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 19, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608776, 1729048083016126466, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 20, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1729048083544608777, 1729048083016126466, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 21, 103, 1, '2023-11-27 16:02:42', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1730400660874010625, 1730400660483940353, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660874010626, 1730400660483940353, 'tenant_id', '租户ID', 'varchar(255)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119490, 1730400660483940353, 'user_id', '意见反馈用户ID', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119491, 1730400660483940353, 'feedback_type', '意见反馈分类 0产品建议 1bug反馈 2想增加的功能', 'char(1)', 'String', 'feedbackType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119492, 1730400660483940353, 'feedback', '意见反馈', 'varchar(600)', 'String', 'feedback', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 5, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119493, 1730400660483940353, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 6, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119494, 1730400660483940353, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119495, 1730400660483940353, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 8, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119496, 1730400660483940353, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1730400660941119497, 1730400660483940353, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 10, NULL, 1, '2023-12-01 09:37:22', 1, '2023-12-01 09:55:36');
INSERT INTO `gen_table_column` VALUES (1732293107380060162, 1732293106927075330, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107380060163, 1732293106927075330, 'message_type', '消息分类 0病例审核 1志愿者绑定 2医生绑定', 'char(1)', 'String', 'messageType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169026, 1732293106927075330, 'message_content', '消息内容', 'varchar(255)', 'String', 'messageContent', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'editor', '', 3, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169027, 1732293106927075330, 'business_id', '业务主键', 'bigint(20)', 'Long', 'businessId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169028, 1732293106927075330, 'user_id', '用户ID', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169029, 1732293106927075330, 'business_status', '业务状态 1审核通过 2审核未通过 3完成绑定 4解除绑定', 'varchar(255)', 'String', 'businessStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 6, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169030, 1732293106927075330, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169031, 1732293106927075330, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 8, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169032, 1732293106927075330, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169033, 1732293106927075330, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 10, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169034, 1732293106927075330, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 11, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1732293107447169035, 1732293106927075330, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 12, NULL, 1, '2023-12-06 14:57:16', 1, '2023-12-06 14:58:50');
INSERT INTO `gen_table_column` VALUES (1736947893461921794, 1736947893352869890, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893461921795, 1736947893352869890, 'tenant_id', '租户编号', 'varchar(20)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893461921796, 1736947893352869890, 'sms_name', '消息名称', 'varchar(255)', 'String', 'smsName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893461921797, 1736947893352869890, 'sms_code', '消息编码', 'varchar(255)', 'String', 'smsCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893461921798, 1736947893352869890, 'sms_content', '消息文案', 'varchar(255)', 'String', 'smsContent', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'editor', '', 5, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893461921799, 1736947893352869890, 'sms_recipient', '短信接收人', 'varchar(255)', 'String', 'smsRecipient', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893474504706, 1736947893352869890, 'status', '状态 0启用,1禁用', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 7, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893474504707, 1736947893352869890, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 8, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893478699010, 1736947893352869890, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893478699011, 1736947893352869890, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893478699012, 1736947893352869890, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 11, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893478699013, 1736947893352869890, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 12, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1736947893478699014, 1736947893352869890, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 13, NULL, 1, '2023-12-19 11:13:43', 1, '2023-12-19 11:16:05');
INSERT INTO `gen_table_column` VALUES (1737027129981243394, 1737027129456955393, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027129981243395, 1737027129456955393, 'tenant_id', '租户编号', 'varchar(20)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157953, 1737027129456955393, 'organization_name', '组织名称', 'varchar(255)', 'String', 'organizationName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157954, 1737027129456955393, 'organization_type', '组织分类 0学会 1协会 2基金会', 'char(1)', 'String', 'organizationType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157955, 1737027129456955393, 'location', '组织所在地', 'varchar(255)', 'String', 'location', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157956, 1737027129456955393, 'organization_logo', '组织logo', 'varchar(255)', 'String', 'organizationLogo', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157957, 1737027129456955393, 'status', '状态 0启用,1禁用', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 7, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157958, 1737027129456955393, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 8, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157959, 1737027129456955393, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157960, 1737027129456955393, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157961, 1737027129456955393, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 11, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157962, 1737027129456955393, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 12, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737027130044157963, 1737027129456955393, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 13, NULL, 1, '2023-12-19 16:28:35', 1, '2023-12-19 16:35:16');
INSERT INTO `gen_table_column` VALUES (1737707128841256962, 1737707128518295553, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:54');
INSERT INTO `gen_table_column` VALUES (1737707128841256963, 1737707128518295553, 'tenant_id', '租户编号', 'varchar(20)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:54');
INSERT INTO `gen_table_column` VALUES (1737707128841256964, 1737707128518295553, 'doctor_user_id', '医生用户ID', 'bigint(20)', 'Long', 'doctorUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:54');
INSERT INTO `gen_table_column` VALUES (1737707128841256965, 1737707128518295553, 'volunteer_user_id', '志愿者用户ID', 'bigint(20)', 'Long', 'volunteerUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128841256966, 1737707128518295553, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 5, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128841256967, 1737707128518295553, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 6, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128908365825, 1737707128518295553, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128908365826, 1737707128518295553, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 8, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128908365827, 1737707128518295553, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1737707128908365828, 1737707128518295553, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 10, NULL, 1, '2023-12-21 13:30:39', 1, '2023-12-21 13:30:55');
INSERT INTO `gen_table_column` VALUES (1739568583022686209, 1729048083016126466, 'case_id', '病例ID', 'varchar(50)', 'String', 'caseId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, NULL, 1, '2023-12-26 16:47:24', 1, '2023-12-26 16:47:24');
INSERT INTO `gen_table_column` VALUES (1739568583349841922, 1729048083016126466, 'case_file', '病例文件', 'varchar(1024)', 'String', 'caseFile', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 7, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568583349841923, 1729048083016126466, 'case_beautify_file', '病例美化文件', 'varchar(1024)', 'String', 'caseBeautifyFile', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 8, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568583819603969, 1729048083016126466, 'case_status', '病例状态 0正常 1禁用', 'char(1)', 'String', 'caseStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 11, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568584662659074, 1729048083016126466, 'reject_reason', '审核拒绝原因', 'varchar(1024)', 'String', 'rejectReason', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 16, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585639931906, 1729048083016126466, 'comment_time', '点评时间', 'datetime', 'Date', 'commentTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 22, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585639931907, 1729048083016126466, 'check_time', '审核时间', 'datetime', 'Date', 'checkTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 23, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585639931908, 1729048083016126466, 'comment_audit_status', '点评审核状态 0未审核 1审核未通过 2审核通过 ', 'char(1)', 'String', 'commentAuditStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 24, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585639931909, 1729048083016126466, 'comment_status', '点评状态 0已点评 1待点评 2重新点评 ', 'char(1)', 'String', 'commentStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 25, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585639931910, 1729048083016126466, 'comment_content', '点评内容', 'varchar(1024)', 'String', 'commentContent', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'editor', '', 26, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585707040769, 1729048083016126466, 'comment_reject_reason', '点评拒绝原因', 'varchar(255)', 'String', 'commentRejectReason', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 27, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1739568585707040770, 1729048083016126466, 'case_analysis_status', '病例解析审核状态 0未审核 1审核未通过 2审核通过', 'char(1)', 'String', 'caseAnalysisStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 28, NULL, 1, '2023-12-26 16:47:25', 1, '2023-12-26 16:47:25');
INSERT INTO `gen_table_column` VALUES (1742375329088847873, 1742375328489062402, 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '1', NULL, '1', '1', NULL, 'EQ', 'input', '', 1, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:43');
INSERT INTO `gen_table_column` VALUES (1742375329151762433, 1742375328489062402, 'tenant_id', '租户ID', 'varchar(255)', 'String', 'tenantId', '0', '0', '1', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762434, 1742375328489062402, 'case_comment_score', '病例点评是否评分 0是 1否', 'char(1)', 'String', 'caseCommentScore', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762435, 1742375328489062402, 'comment_tips', '病例点评评分提示', 'varchar(1024)', 'String', 'commentTips', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762436, 1742375328489062402, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 5, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762437, 1742375328489062402, 'create_dept', '创建部门', 'bigint(20)', 'Long', 'createDept', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 6, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762438, 1742375328489062402, 'create_by', '创建者', 'bigint(20)', 'Long', 'createBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762439, 1742375328489062402, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 8, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762440, 1742375328489062402, 'update_by', '更新者', 'bigint(20)', 'Long', 'updateBy', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');
INSERT INTO `gen_table_column` VALUES (1742375329151762441, 1742375328489062402, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 10, NULL, 1, '2024-01-03 10:40:25', 1, '2024-01-03 10:40:44');

-- ----------------------------
-- Table structure for sys_client
-- ----------------------------
DROP TABLE IF EXISTS `sys_client`;
CREATE TABLE `sys_client`  (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `client_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户端id',
  `client_key` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户端key',
  `client_secret` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户端秘钥',
  `grant_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '授权类型',
  `device_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备类型',
  `active_timeout` int(11) NULL DEFAULT 1800 COMMENT 'token活跃超时时间',
  `timeout` int(11) NULL DEFAULT 604800 COMMENT 'token固定超时',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统授权表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_client
-- ----------------------------
INSERT INTO `sys_client` VALUES (1, 'e5cd7e4891bf95d1d19206ce24a7b32e', 'pc', 'pc123', 'password,sms', 'pc', 259200, 604800, '0', '0', 103, 1, '2023-11-15 15:12:29', 1, '2024-01-17 14:54:38');
INSERT INTO `sys_client` VALUES (2, '428a8310cd442757ae699df5d894f051', 'app', 'app123', 'password,sms', 'android', 259200, 604800, '0', '0', 103, 1, '2023-11-15 15:12:29', 1, '2024-01-17 14:54:48');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` bigint(20) NOT NULL COMMENT '参数主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '000000', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-20 09:27:03', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '000000', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '000000', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (5, '000000', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-30 16:18:53', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (11, '000000', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', NULL, NULL, 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1725440408458063874, '522079', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1725440408458063875, '522079', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1725440408458063876, '522079', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1725440408458063877, '522079', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1725440408458063878, '522079', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1726842678785531906, '559925', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1726842678785531907, '559925', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1726842678785531908, '559925', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1726842678785531909, '559925', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1726842678785531910, '559925', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727163137494302721, '170160', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727163137494302722, '170160', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727163137494302723, '170160', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727163137494302724, '170160', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727163137494302725, '170160', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727167220737335297, 'H0202311221128  1', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727167220737335298, 'H0202311221128  1', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727167220737335299, 'H0202311221128  1', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727167220737335300, 'H0202311221128  1', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727167220737335301, 'H0202311221128  1', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727167942669357058, 'H0202311221131001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727167942669357059, 'H0202311221131001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727167942669357060, 'H0202311221131001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727167942669357061, 'H0202311221131001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727167942669357062, 'H0202311221131001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727170674524409857, 'H0202311221142001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727170674524409858, 'H0202311221142001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727170674524409859, 'H0202311221142001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727170674524409860, 'H0202311221142001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727170674524409861, 'H0202311221142001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727170707902681090, 'H0202311221142001002', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727170707902681091, 'H0202311221142001002', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727170707902681092, 'H0202311221142001002', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727170707902681093, 'H0202311221142001002', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727170707969789953, 'H0202311221142001002', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727171702552395778, 'H0202311221146001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727171702619504641, 'H0202311221146001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727171702619504642, 'H0202311221146001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727171702619504643, 'H0202311221146001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727171702619504644, 'H0202311221146001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727171726283767809, 'H0202311221146002', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727171726283767810, 'H0202311221146002', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727171726283767811, 'H0202311221146002', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727171726283767812, 'H0202311221146002', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727171726283767813, 'H0202311221146002', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727171748983341057, 'H0202311221146003', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727171748983341058, 'H0202311221146003', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727171748983341059, 'H0202311221146003', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727171748983341060, 'H0202311221146003', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727171748983341061, 'H0202311221146003', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727211670180155394, 'H0202311221425001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-yellow', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-12-07 10:44:44', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727211670180155395, 'H0202311221425001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727211670180155396, 'H0202311221425001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727211670180155397, 'H0202311221425001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727211670180155398, 'H0202311221425001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727238939850280961, 'H0202311221613001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727238939850280962, 'H0202311221613001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727238939850280963, 'H0202311221613001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727238939850280964, 'H0202311221613001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727238939850280965, 'H0202311221613001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727241897333698562, 'H0202311221625001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727241897333698563, 'H0202311221625001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727241897396613121, 'H0202311221625001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727241897396613122, 'H0202311221625001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727241897396613123, 'H0202311221625001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727502455702233089, 'H0202311230940001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727502455702233090, 'H0202311230940001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727502455702233091, 'H0202311230940001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727502455702233092, 'H0202311230940001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727502455702233093, 'H0202311230940001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1727939912524537858, 'H0202311241439001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1727939912524537859, 'H0202311241439001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1727939912524537860, 'H0202311241439001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1727939912524537861, 'H0202311241439001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1727939912524537862, 'H0202311241439001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1730417219872935938, 'H0202312011043001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1730417219872935939, 'H0202312011043001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1730417219872935940, 'H0202312011043001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1730417219872935941, 'H0202312011043001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1730417219872935942, 'H0202312011043001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1730509427192045570, 'H0202312011649001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1730509427192045571, 'H0202312011649001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1730509427192045572, 'H0202312011649001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1730509427254960130, 'H0202312011649001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1730509427254960131, 'H0202312011649001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1731484774582677506, 'H0202312040925001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1731484774582677507, 'H0202312040925001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1731484774582677508, 'H0202312040925001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1731484774582677509, 'H0202312040925001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1731484774582677510, 'H0202312040925001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1731556123606978561, 'H0202312041408001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1731556123606978562, 'H0202312041408001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1731556123606978563, 'H0202312041408001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1731556123606978564, 'H0202312041408001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1731556123669893121, 'H0202312041408001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735187473017417729, 'H0202312141438001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735187473017417730, 'H0202312141438001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735187473017417731, 'H0202312141438001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735187473017417732, 'H0202312141438001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735187473017417733, 'H0202312141438001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735187827058618369, 'H0202312141439001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735187827058618370, 'H0202312141439001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735187827058618371, 'H0202312141439001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735187827062812674, 'H0202312141439001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735187827062812675, 'H0202312141439001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735188407458017282, 'H0202312141442001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735188407462211585, 'H0202312141442001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735188407462211586, 'H0202312141442001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735188407462211587, 'H0202312141442001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735188407462211588, 'H0202312141442001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735188867409588225, 'H0202312141443001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735188867409588226, 'H0202312141443001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735188867409588227, 'H0202312141443001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735188867409588228, 'H0202312141443001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735188867409588229, 'H0202312141443001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735197548876476417, 'H0202312141518001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735197548876476418, 'H0202312141518001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735197548876476419, 'H0202312141518001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735197548876476420, 'H0202312141518001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735197548876476421, 'H0202312141518001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735221867444125698, 'H0202312141655001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735221867444125699, 'H0202312141655001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735221867444125700, 'H0202312141655001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735221867444125701, 'H0202312141655001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735221867444125702, 'H0202312141655001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735222280683732993, 'H0202312141656001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735222280750841858, 'H0202312141656001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735222280750841859, 'H0202312141656001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735222280750841860, 'H0202312141656001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735222280750841861, 'H0202312141656001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735222582579900418, 'H0202312141657001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735222582579900419, 'H0202312141657001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735222582579900420, 'H0202312141657001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735222582579900421, 'H0202312141657001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735222582579900422, 'H0202312141657001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735223266482139138, 'H0202312141700001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735223266482139139, 'H0202312141700001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735223266482139140, 'H0202312141700001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735223266482139141, 'H0202312141700001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735223266482139142, 'H0202312141700001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735230789117358081, 'H0202312141730001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735230789117358082, 'H0202312141730001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735230789117358083, 'H0202312141730001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735230789117358084, 'H0202312141730001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735230789117358085, 'H0202312141730001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735231109901922305, 'H0202312141731001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735231109901922306, 'H0202312141731001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735231109901922307, 'H0202312141731001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735231109901922308, 'H0202312141731001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735231109906116609, 'H0202312141731001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1735260702497693698, 'H0202312141929001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1735260702497693699, 'H0202312141929001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1735260702497693700, 'H0202312141929001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1735260702497693701, 'H0202312141929001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1735260702497693702, 'H0202312141929001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1736578532905660417, 'H0202312181046001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1736578532905660418, 'H0202312181046001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1736578532905660419, 'H0202312181046001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1736578532905660420, 'H0202312181046001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1736578532909854721, 'H0202312181046001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1736930124037173249, 'H0202312191003001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1736930124037173250, 'H0202312191003001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1736930124041367554, 'H0202312191003001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1736930124041367555, 'H0202312191003001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1736930124041367556, 'H0202312191003001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1737290408561442818, 'H0202312200954001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1737290408561442819, 'H0202312200954001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1737290408561442820, 'H0202312200954001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1737290408561442821, 'H0202312200954001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1737290408561442822, 'H0202312200954001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1737365627217035265, 'H0202312201453001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1737365627217035266, 'H0202312201453001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1737365627217035267, 'H0202312201453001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1737365627217035268, 'H0202312201453001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1737365627217035269, 'H0202312201453001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1739815189521313794, 'H0202312270907001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1739815189521313795, 'H0202312270907001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1739815189521313796, 'H0202312270907001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1739815189521313797, 'H0202312270907001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1739815189521313798, 'H0202312270907001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1742068342346199041, 'H0202401021420001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1742068342346199042, 'H0202401021420001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1742068342346199043, 'H0202401021420001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1742068342346199044, 'H0202401021420001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1742068342346199045, 'H0202401021420001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1742386107175137281, 'H0202401031123001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1742386107175137282, 'H0202401031123001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1742386107175137283, 'H0202401031123001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1742386107175137284, 'H0202401031123001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1742386107175137285, 'H0202401031123001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745251197993811969, 'H0202401110908001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745251197993811970, 'H0202401110908001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745251197993811971, 'H0202401110908001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745251197993811972, 'H0202401110908001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745251197993811973, 'H0202401110908001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745278141212893186, 'H0202401111055001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745278141212893187, 'H0202401111055001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745278141212893188, 'H0202401111055001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745278141212893189, 'H0202401111055001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745278141212893190, 'H0202401111055001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745328300642738177, 'H0202401111414001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745328300642738178, 'H0202401111414001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745328300642738179, 'H0202401111414001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745328300642738180, 'H0202401111414001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745328300642738181, 'H0202401111414001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745328492070772738, 'H0202401111415001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745328492070772739, 'H0202401111415001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745328492070772740, 'H0202401111415001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745328492070772741, 'H0202401111415001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745328492070772742, 'H0202401111415001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745613309461737474, 'H0202401120906001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745613309465931777, 'H0202401120906001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745613309465931778, 'H0202401120906001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745613309470126081, 'H0202401120906001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745613309470126082, 'H0202401120906001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745701446875688962, 'H0202401121457001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745701446875688963, 'H0202401121457001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745701446875688964, 'H0202401121457001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745701446879883266, 'H0202401121457001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745701446879883267, 'H0202401121457001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745702170464432129, 'H0202401121500001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745702170468626434, 'H0202401121500001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745702170468626435, 'H0202401121500001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745702170468626436, 'H0202401121500001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745702170468626437, 'H0202401121500001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1745714488862650369, 'H0202401121549001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1745714488862650370, 'H0202401121549001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1745714488862650371, 'H0202401121549001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1745714488862650372, 'H0202401121549001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1745714488862650373, 'H0202401121549001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1746790357467213826, 'H0202401151504001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1746790357467213827, 'H0202401151504001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1746790357467213828, 'H0202401151504001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1746790357467213829, 'H0202401151504001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1746790357471408130, 'H0202401151504001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1746790645129359362, 'H0202401151505001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1746790645129359363, 'H0202401151505001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1746790645129359364, 'H0202401151505001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1746790645133553665, 'H0202401151505001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1746790645133553666, 'H0202401151505001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1747069228850688001, 'H0202401160932001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1747069228850688002, 'H0202401160932001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1747069228850688003, 'H0202401160932001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1747069228850688004, 'H0202401160932001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1747069228854882306, 'H0202401160932001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');
INSERT INTO `sys_config` VALUES (1747071459931009026, 'H0202401160941001', '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (1747071459931009027, 'H0202401160941001', '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '初始化密码 123456');
INSERT INTO `sys_config` VALUES (1747071459935203330, 'H0202401160941001', '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (1747071459935203331, 'H0202401160941001', '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (1747071459935203332, 'H0202401160941001', 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', 'true:开启, false:关闭');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL COMMENT '部门id',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` bigint(20) NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, '000000', 0, '0', 'XXX科技', 0, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (101, '000000', 100, '0,100', '深圳总公司', 1, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (102, '000000', 100, '0,100', '长沙分公司', 2, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (103, '000000', 101, '0,100,101', '研发部门', 1, 1, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (104, '000000', 101, '0,100,101', '市场部门', 2, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (105, '000000', 101, '0,100,101', '测试部门', 3, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (106, '000000', 101, '0,100,101', '财务部门', 4, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (107, '000000', 101, '0,100,101', '运维部门', 5, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (108, '000000', 102, '0,100,102', '市场部门', 1, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);
INSERT INTO `sys_dept` VALUES (109, '000000', 102, '0,100,102', '财务部门', 2, NULL, '15888888888', 'xxx@qq.com', '0', '2', 103, 1, '2023-11-15 15:12:27', NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL COMMENT '字典编码',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, '000000', 1, '男', '0', 'sys_user_sex', '', '', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, '000000', 2, '女', '1', 'sys_user_sex', '', '', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, '000000', 3, '未知', '2', 'sys_user_sex', '', '', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, '000000', 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, '000000', 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, '000000', 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, '000000', 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (12, '000000', 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, '000000', 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, '000000', 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, '000000', 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, '000000', 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, '000000', 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, '000000', 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (19, '000000', 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (20, '000000', 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (21, '000000', 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (22, '000000', 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (23, '000000', 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (24, '000000', 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (25, '000000', 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (26, '000000', 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (27, '000000', 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (28, '000000', 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (29, '000000', 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (30, '000000', 0, '密码认证', 'password', 'sys_grant_type', 'el-check-tag', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '密码认证');
INSERT INTO `sys_dict_data` VALUES (31, '000000', 0, '短信认证', 'sms', 'sys_grant_type', 'el-check-tag', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '短信认证');
INSERT INTO `sys_dict_data` VALUES (32, '000000', 0, '邮件认证', 'email', 'sys_grant_type', 'el-check-tag', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '邮件认证');
INSERT INTO `sys_dict_data` VALUES (33, '000000', 0, '小程序认证', 'xcx', 'sys_grant_type', 'el-check-tag', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '小程序认证');
INSERT INTO `sys_dict_data` VALUES (34, '000000', 0, '三方登录认证', 'social', 'sys_grant_type', 'el-check-tag', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '三方登录认证');
INSERT INTO `sys_dict_data` VALUES (35, '000000', 0, 'PC', 'pc', 'sys_device_type', '', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, 'PC');
INSERT INTO `sys_dict_data` VALUES (36, '000000', 0, '安卓', 'android', 'sys_device_type', '', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '安卓');
INSERT INTO `sys_dict_data` VALUES (37, '000000', 0, 'iOS', 'ios', 'sys_device_type', '', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, 'iOS');
INSERT INTO `sys_dict_data` VALUES (38, '000000', 0, '小程序', 'xcx', 'sys_device_type', '', 'default', 'N', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '小程序');
INSERT INTO `sys_dict_data` VALUES (1728963868417228801, '000000', 1, '开通', '0', 'sys_register_status', '', 'primary', 'N', 103, 1, '2023-11-27 10:28:03', 1, '2023-11-27 10:28:59', '');
INSERT INTO `sys_dict_data` VALUES (1728964179928186882, '000000', 2, '关闭', '1', 'sys_register_status', '', 'danger', 'N', 103, 1, '2023-11-27 10:29:18', 1, '2023-11-27 10:29:18', '');
INSERT INTO `sys_dict_data` VALUES (1728982006601027586, '000000', 1, '医生', '0', 'sys_register_type', '', 'default', 'N', 103, 1, '2023-11-27 11:40:08', 1, '2023-12-04 14:19:08', '');
INSERT INTO `sys_dict_data` VALUES (1728982062204915713, '000000', 2, '志愿者', '1', 'sys_register_type', '', 'default', 'N', 103, 1, '2023-11-27 11:40:21', 1, '2023-11-27 11:40:21', '');
INSERT INTO `sys_dict_data` VALUES (1728982119855624194, '000000', 3, '专家', '2', 'sys_register_type', '', 'default', 'N', 103, 1, '2023-11-27 11:40:35', 1, '2023-12-04 14:18:54', '');
INSERT INTO `sys_dict_data` VALUES (1729387613778821121, '000000', 1, '主任医师', '0', 'sys_user_title', '', 'default', 'N', 103, 1, '2023-11-28 14:31:52', 1, '2023-11-28 14:31:52', '');
INSERT INTO `sys_dict_data` VALUES (1729387658297163777, '000000', 3, '主治医师', '2', 'sys_user_title', '', 'default', 'N', 103, 1, '2023-11-28 14:32:03', 1, '2023-11-28 14:39:04', '');
INSERT INTO `sys_dict_data` VALUES (1729389169982980098, '000000', 2, '副主任医师', '1', 'sys_user_title', '', 'default', 'N', 103, 1, '2023-11-28 14:38:03', 1, '2023-11-28 14:38:54', '');
INSERT INTO `sys_dict_data` VALUES (1729389541879332865, '000000', 4, '住院医师', '3', 'sys_user_title', '', 'default', 'N', 103, 1, '2023-11-28 14:39:32', 1, '2023-11-28 14:39:32', '');
INSERT INTO `sys_dict_data` VALUES (1730410082950127618, '000000', 1, '产品建议', '0', 'business_feedback_type', '', 'default', 'N', NULL, 1, '2023-12-01 10:14:48', 1, '2023-12-01 10:15:31', '');
INSERT INTO `sys_dict_data` VALUES (1730410156459499521, '000000', 2, 'bug反馈', '1', 'business_feedback_type', '', 'default', 'N', NULL, 1, '2023-12-01 10:15:05', 1, '2023-12-01 10:15:38', '');
INSERT INTO `sys_dict_data` VALUES (1730410365973372930, '000000', 3, '想增加的功能', '2', 'business_feedback_type', '', 'default', 'N', NULL, 1, '2023-12-01 10:15:55', 1, '2023-12-01 10:15:55', '');
INSERT INTO `sys_dict_data` VALUES (1735186655209275393, '000000', 0, '是', '0', 'sys_tenant_review_comment', '', 'default', 'N', NULL, 1, '2023-12-14 14:35:11', 1, '2023-12-14 14:35:11', '');
INSERT INTO `sys_dict_data` VALUES (1735186692978982914, '000000', 1, '否', '1', 'sys_tenant_review_comment', '', 'default', 'N', NULL, 1, '2023-12-14 14:35:20', 1, '2023-12-14 14:35:20', '');
INSERT INTO `sys_dict_data` VALUES (1737079594051145729, '000000', 1, '启用', '0', 'business_enable_status', '', 'default', 'N', NULL, 1, '2023-12-19 19:57:03', 1, '2023-12-19 19:57:22', '');
INSERT INTO `sys_dict_data` VALUES (1737079644730920962, '000000', 2, '禁用', '1', 'business_enable_status', '', 'default', 'N', NULL, 1, '2023-12-19 19:57:15', 1, '2023-12-19 19:57:15', '');
INSERT INTO `sys_dict_data` VALUES (1737293358595801090, '000000', 1, '学会', '0', 'business_organization_type', '', 'default', 'N', NULL, 1737290408242675713, '2023-12-20 10:06:29', 1737290408242675713, '2023-12-20 10:06:29', '');
INSERT INTO `sys_dict_data` VALUES (1737293415382482946, '000000', 2, '协会', '1', 'business_organization_type', '', 'default', 'N', NULL, 1737290408242675713, '2023-12-20 10:06:42', 1737290408242675713, '2023-12-20 10:06:42', '');
INSERT INTO `sys_dict_data` VALUES (1737293486085865474, '000000', 3, '基金会', '2', 'business_organization_type', '', 'default', 'N', NULL, 1737290408242675713, '2023-12-20 10:06:59', 1737290408242675713, '2023-12-20 10:06:59', '');
INSERT INTO `sys_dict_data` VALUES (1739132743540768769, '000000', 1, '未审核', '0', 'case_review_status', '', 'default', 'N', NULL, 1, '2023-12-25 11:55:32', 1, '2023-12-25 11:55:45', '');
INSERT INTO `sys_dict_data` VALUES (1739132997132582914, '000000', 2, '审核通过', '1', 'case_review_status', '', 'default', 'N', NULL, 1, '2023-12-25 11:56:33', 1, '2023-12-25 11:56:33', '');
INSERT INTO `sys_dict_data` VALUES (1739133070050557953, '000000', 3, '审核未通过', '2', 'case_review_status', '', 'default', 'N', NULL, 1, '2023-12-25 11:56:50', 1, '2023-12-25 11:56:50', '');
INSERT INTO `sys_dict_data` VALUES (1742001473840984066, '000000', 1, '未审核', '0', 'comment_audit_status', '', 'default', 'N', NULL, 1, '2024-01-02 09:54:51', 1, '2024-01-02 09:54:51', '');
INSERT INTO `sys_dict_data` VALUES (1742001569357869058, '000000', 2, '审核未通过', '1', 'comment_audit_status', '', 'default', 'N', NULL, 1, '2024-01-02 09:55:14', 1, '2024-01-02 09:55:14', '');
INSERT INTO `sys_dict_data` VALUES (1742001639570518017, '000000', 3, '审核通过', '2', 'comment_audit_status', '', 'default', 'N', NULL, 1, '2024-01-02 09:55:30', 1, '2024-01-02 09:55:30', '');
INSERT INTO `sys_dict_data` VALUES (1742002873232764929, '000000', 1, '未审核', '0', 'case_analysis_status', '', 'default', 'N', NULL, 1, '2024-01-02 10:00:24', 1, '2024-01-02 10:00:24', '');
INSERT INTO `sys_dict_data` VALUES (1742003031244779521, '000000', 2, '审核未通过', '1', 'case_analysis_status', '', 'default', 'N', NULL, 1, '2024-01-02 10:01:02', 1, '2024-01-02 10:01:02', '');
INSERT INTO `sys_dict_data` VALUES (1742003072965521409, '000000', 3, '审核通过', '2', 'case_analysis_status', '', 'default', 'N', NULL, 1, '2024-01-02 10:01:12', 1, '2024-01-02 10:01:12', '');
INSERT INTO `sys_dict_data` VALUES (1742091540802498562, '000000', 1, '已点评', '0', 'comment_status', '', 'default', 'N', NULL, 1, '2024-01-02 15:52:44', 1, '2024-01-02 15:53:21', '');
INSERT INTO `sys_dict_data` VALUES (1742091631625957378, '000000', 2, '待点评', '1', 'comment_status', '', 'default', 'N', NULL, 1, '2024-01-02 15:53:06', 1, '2024-01-02 15:53:06', '');
INSERT INTO `sys_dict_data` VALUES (1742091770570665985, '000000', 3, '重新点评', '2', 'comment_status', '', 'default', 'N', NULL, 1, '2024-01-02 15:53:39', 1, '2024-01-02 15:53:39', '');
INSERT INTO `sys_dict_data` VALUES (1744953706886922241, '000000', 0, '手动分配', '0', 'comment_allocation', '', 'default', 'N', NULL, 1, '2024-01-10 13:25:58', 1, '2024-01-10 13:25:58', '');
INSERT INTO `sys_dict_data` VALUES (1744953753548554241, '000000', 1, '自动分配', '1', 'comment_allocation', '', 'default', 'N', NULL, 1, '2024-01-10 13:26:09', 1, '2024-01-10 13:26:09', '');
INSERT INTO `sys_dict_data` VALUES (1747158908587192321, '000000', 4, '解析完成', '3', 'case_analysis_status', '', 'default', 'N', NULL, 1, '2024-01-16 15:28:39', 1, '2024-01-16 15:28:39', '');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL COMMENT '字典主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `tenant_id`(`tenant_id`, `dict_type`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '000000', '用户性别', 'sys_user_sex', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '000000', '菜单状态', 'sys_show_hide', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '000000', '系统开关', 'sys_normal_disable', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (6, '000000', '系统是否', 'sys_yes_no', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '000000', '通知类型', 'sys_notice_type', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '000000', '通知状态', 'sys_notice_status', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '000000', '操作类型', 'sys_oper_type', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '000000', '系统状态', 'sys_common_status', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (11, '000000', '授权类型', 'sys_grant_type', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '认证授权类型');
INSERT INTO `sys_dict_type` VALUES (12, '000000', '设备类型', 'sys_device_type', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '客户端设备类型');
INSERT INTO `sys_dict_type` VALUES (1728963789555924994, '000000', '注册状态', 'sys_register_status', 103, 1, '2023-11-27 10:27:45', 1, '2023-11-27 10:27:45', '租户注册列表');
INSERT INTO `sys_dict_type` VALUES (1728981906478796801, '000000', '注册方式', 'sys_register_type', 103, 1, '2023-11-27 11:39:44', 1, '2023-11-27 11:39:44', '注册方式列表');
INSERT INTO `sys_dict_type` VALUES (1729387482761347074, '000000', '职称类型', 'sys_user_title', 103, 1, '2023-11-28 14:31:21', 1, '2023-11-28 14:31:21', '职称下拉列表');
INSERT INTO `sys_dict_type` VALUES (1730409872316375042, '000000', '意见反馈类型', 'business_feedback_type', NULL, 1, '2023-12-01 10:13:58', 1, '2023-12-01 10:13:58', '意见反馈类型列表');
INSERT INTO `sys_dict_type` VALUES (1735186411167891457, '000000', '租户审核和点评', 'sys_tenant_review_comment', NULL, 1, '2023-12-14 14:34:13', 1, '2023-12-14 14:38:50', '租户是否需要审核和点评的状态');
INSERT INTO `sys_dict_type` VALUES (1737079472340832257, '000000', '消息状态', 'business_enable_status', NULL, 1, '2023-12-19 19:56:34', 1737290408242675713, '2023-12-20 10:46:34', '是否禁用');
INSERT INTO `sys_dict_type` VALUES (1737293244032581634, '000000', '组织分类', 'business_organization_type', NULL, 1737290408242675713, '2023-12-20 10:06:01', 1737290408242675713, '2023-12-20 10:06:01', '组织分类下拉列表数据');
INSERT INTO `sys_dict_type` VALUES (1739131360234143746, '000000', '病例审核状态', 'case_review_status', NULL, 1, '2023-12-25 11:50:02', 1, '2023-12-25 11:50:19', '病例审核状态');
INSERT INTO `sys_dict_type` VALUES (1742001235558379522, '000000', '病例点评审核状态', 'comment_audit_status', NULL, 1, '2024-01-02 09:53:54', 1, '2024-01-02 09:53:54', '点评审核状态');
INSERT INTO `sys_dict_type` VALUES (1742002708405006338, '000000', '病例解析审核状态', 'case_analysis_status', NULL, 1, '2024-01-02 09:59:45', 1, '2024-01-02 09:59:45', '病例解析审核状态');
INSERT INTO `sys_dict_type` VALUES (1742091286749310978, '000000', '病例点评状态', 'comment_status', NULL, 1, '2024-01-02 15:51:44', 1, '2024-01-02 15:51:44', '病例点评状态');
INSERT INTO `sys_dict_type` VALUES (1744953559721377793, '000000', '病例点评分配', 'comment_allocation', NULL, 1, '2024-01-10 13:25:23', 1, '2024-01-10 13:25:34', '病例点评分配');

-- ----------------------------
-- Table structure for sys_doctor_volunteer
-- ----------------------------
DROP TABLE IF EXISTS `sys_doctor_volunteer`;
CREATE TABLE `sys_doctor_volunteer`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户编号',
  `doctor_user_id` bigint(20) NOT NULL COMMENT '医生用户ID',
  `volunteer_user_id` bigint(20) NOT NULL COMMENT '志愿者用户ID',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '医生志愿者关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_doctor_volunteer
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL COMMENT '访问ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `client_key` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '客户端',
  `device_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '设备类型',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (1747885718429937666, 'H0202312270907001', '13852286548', 'pc', 'pc', '10.40.1.142', '内网IP', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '登录成功', '2024-01-18 15:36:44');
INSERT INTO `sys_logininfor` VALUES (1747885801078697985, 'H0202312270907001', '13852286548', 'pc', 'pc', '10.40.1.142', '内网IP', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '退出成功', '2024-01-18 15:37:04');
INSERT INTO `sys_logininfor` VALUES (1747885883144450050, '000000', 'admin', 'pc', 'pc', '10.40.1.142', '内网IP', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '登录成功', '2024-01-18 15:37:23');
INSERT INTO `sys_logininfor` VALUES (1747889805895217153, '000000', 'admin', 'pc', 'pc', '221.230.181.214', '中国|江苏省|泰州市|电信', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '登录成功', '2024-01-18 15:52:59');
INSERT INTO `sys_logininfor` VALUES (1747894965107240961, '000000', '13852286548', 'app', 'android', '223.104.151.15', '中国|江苏省|泰州市|移动', 'Safari', 'iPhone', '0', '登录成功', '2024-01-18 16:13:29');
INSERT INTO `sys_logininfor` VALUES (1747895245676818434, '000000', 'admin', 'pc', 'pc', '221.230.181.214', '中国|江苏省|泰州市|电信', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '退出成功', '2024-01-18 16:14:36');
INSERT INTO `sys_logininfor` VALUES (1747895294028754945, '000000', '13852286548', 'pc', 'pc', '221.230.181.214', '中国|江苏省|泰州市|电信', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '登录成功', '2024-01-18 16:14:47');
INSERT INTO `sys_logininfor` VALUES (1747895366531493889, '000000', '13852286548', 'pc', 'pc', '221.230.181.214', '中国|江苏省|泰州市|电信', 'Chrome', 'Windows 10 or Windows Server 2016', '0', '退出成功', '2024-01-18 16:15:04');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query_param` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '显示状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '系统管理目录');
INSERT INTO `sys_menu` VALUES (6, '租户管理', 0, 2, 'tenant', NULL, '', 1, 0, 'M', '0', '0', '', 'chart', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '租户管理目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '1', '1', 'system:dict:list', 'dict', 103, 1, '2023-11-15 15:12:28', 1, '2024-01-18 17:12:14', '字典管理菜单');
INSERT INTO `sys_menu` VALUES (118, '文件管理', 1, 10, 'oss', 'system/oss/index', '', 1, 0, 'C', '1', '1', 'system:oss:list', 'upload', 103, 1, '2023-11-15 15:12:28', 1, '2024-01-18 17:12:22', '文件管理菜单');
INSERT INTO `sys_menu` VALUES (121, '租户管理', 6, 1, 'tenant', 'system/tenant/index', '', 1, 0, 'C', '0', '0', 'system:tenant:list', 'list', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '租户管理菜单');
INSERT INTO `sys_menu` VALUES (122, '租户套餐管理', 6, 2, 'tenantPackage', 'system/tenantPackage/index', '', 1, 0, 'C', '0', '0', 'system:tenantPackage:list', 'form', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '租户套餐管理菜单');
INSERT INTO `sys_menu` VALUES (1001, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1600, '文件查询', 118, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1601, '文件上传', 118, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:upload', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1602, '文件下载', 118, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:download', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1603, '文件删除', 118, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1604, '配置添加', 118, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1605, '配置编辑', 118, 6, '#', '', '', 1, 0, 'F', '0', '0', 'system:oss:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1606, '租户查询', 121, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenant:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1607, '租户新增', 121, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenant:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1608, '租户修改', 121, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenant:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1609, '租户删除', 121, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenant:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1610, '租户导出', 121, 5, '#', '', '', 1, 0, 'F', '0', '1', 'system:tenant:export', '#', 103, 1, '2023-11-15 15:12:28', 1, '2024-01-09 13:25:03', '');
INSERT INTO `sys_menu` VALUES (1611, '租户套餐查询', 122, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenantPackage:query', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1612, '租户套餐新增', 122, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenantPackage:add', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1613, '租户套餐修改', 122, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenantPackage:edit', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1614, '租户套餐删除', 122, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenantPackage:remove', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1615, '租户套餐导出', 122, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:tenantPackage:export', '#', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1726506930072965121, '课件管理', 0, 4, 'case', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'documentation', 103, 1, '2023-11-20 15:45:04', 1, '2024-01-17 15:44:09', '');
INSERT INTO `sys_menu` VALUES (1729057185427558401, '课件基础信息', 1726506930072965121, 1, 'caseBaseInfo', 'business/caseBaseInfo/index', NULL, 1, 0, 'C', '0', '0', 'business:caseBaseInfo:list', 'build', 103, 1, '2023-11-27 17:58:56', 1, '2024-01-17 15:44:25', '病例基础信息菜单');
INSERT INTO `sys_menu` VALUES (1729057185427558402, '课件基础信息查询', 1729057185427558401, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:caseBaseInfo:query', '#', 103, 1, '2023-11-27 17:58:56', 1, '2024-01-17 15:44:43', '');
INSERT INTO `sys_menu` VALUES (1729057185427558403, '课件基础信息新增', 1729057185427558401, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:caseBaseInfo:add', '#', 103, 1, '2023-11-27 17:58:56', 1, '2024-01-17 15:44:50', '');
INSERT INTO `sys_menu` VALUES (1729057185427558404, '课件基础信息修改', 1729057185427558401, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:caseBaseInfo:edit', '#', 103, 1, '2023-11-27 17:58:56', 1, '2024-01-17 15:44:59', '');
INSERT INTO `sys_menu` VALUES (1729057185427558405, '课件基础信息删除', 1729057185427558401, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:caseBaseInfo:remove', '#', 103, 1, '2023-11-27 17:58:56', 1, '2024-01-17 15:45:07', '');
INSERT INTO `sys_menu` VALUES (1729057185427558406, '课件启用禁用', 1729057185427558401, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:caseBaseInfo:changeStatus', '#', 103, 1, '2023-11-27 17:58:57', 1, '2024-01-17 15:45:17', '');
INSERT INTO `sys_menu` VALUES (1729318810063671297, '禁用账户', 121, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:tenant:disableAccount', '', 103, 1, '2023-11-28 09:58:28', 1, '2023-11-28 09:58:28', '');
INSERT INTO `sys_menu` VALUES (1729319026804330497, '查看地址', 121, 7, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:tenant:viewUrl', '', 103, 1, '2023-11-28 09:59:20', 1, '2023-11-28 09:59:20', '');
INSERT INTO `sys_menu` VALUES (1731284546386599937, '审核管理', 0, 5, 'audit', '', '', 1, 0, 'M', '0', '0', '', 'example', NULL, 1, '2023-12-03 20:09:36', 1, '2024-01-03 09:32:27', '');
INSERT INTO `sys_menu` VALUES (1731288223377727490, '课件审核信息', 1731284546386599937, 1, 'auditBaseInfo', 'business/auditBaseInfo/index', NULL, 1, 0, 'C', '0', '0', 'business:auditBaseInfo:list', '', NULL, 1, '2023-12-03 20:24:13', 1, '2024-01-17 15:45:37', '');
INSERT INTO `sys_menu` VALUES (1735112882878230530, '病例查看', 121, 8, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:tenant:view', '', NULL, 1, '2023-12-14 09:42:03', 1, '2023-12-14 09:42:23', '');
INSERT INTO `sys_menu` VALUES (1736950845018812417, '消息中心', 0, 8, 'smsConfig', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'message', NULL, 1, '2023-12-19 11:25:27', 1, '2024-01-03 09:31:32', '');
INSERT INTO `sys_menu` VALUES (1736951493508542465, '短信配置', 1736950845018812417, 1, 'smsConfig', 'business/smsConfig/index', NULL, 1, 0, 'C', '0', '0', 'business:smsConfig:list', '#', 103, 1, '2023-12-19 11:33:59', 1, '2024-01-18 09:13:31', '病例短信配置菜单');
INSERT INTO `sys_menu` VALUES (1736951493508542466, '短信配置查询', 1736951493508542465, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:smsConfig:query', '#', 103, 1, '2023-12-19 11:33:59', 1, '2024-01-18 09:13:43', '');
INSERT INTO `sys_menu` VALUES (1736951493508542467, '短信配置新增', 1736951493508542465, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:smsConfig:add', '#', 103, 1, '2023-12-19 11:33:59', 1, '2024-01-18 09:13:50', '');
INSERT INTO `sys_menu` VALUES (1736951493508542468, '短信配置修改', 1736951493508542465, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:smsConfig:edit', '#', 103, 1, '2023-12-19 11:33:59', 1, '2024-01-18 09:13:58', '');
INSERT INTO `sys_menu` VALUES (1737028602567823361, '组织管理', 0, 3, 'tenantOrganization', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'company', NULL, 1, '2023-12-19 16:34:26', 1, '2024-01-03 09:30:41', '');
INSERT INTO `sys_menu` VALUES (1737028853877936129, '合作组织', 1737028602567823361, 1, 'tenantOrganization', 'business/tenantOrganization/index', NULL, 1, 0, 'C', '0', '0', 'business:tenantOrganization:list', '#', 103, 1, '2023-12-19 16:53:03', NULL, NULL, '合作组织菜单');
INSERT INTO `sys_menu` VALUES (1737028853877936130, '合作组织查询', 1737028853877936129, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenantOrganization:query', '#', 103, 1, '2023-12-19 16:53:03', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1737028853877936131, '合作组织新增', 1737028853877936129, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenantOrganization:add', '#', 103, 1, '2023-12-19 16:53:03', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1737028853877936132, '合作组织修改', 1737028853877936129, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenantOrganization:edit', '#', 103, 1, '2023-12-19 16:53:03', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1737028853877936133, '合作组织删除', 1737028853877936129, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenantOrganization:remove', '#', 103, 1, '2023-12-19 16:53:03', NULL, NULL, '');
INSERT INTO `sys_menu` VALUES (1739894975795027970, '点评管理', 0, 6, 'comment', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'log', NULL, 1, '2023-12-27 14:24:23', 1, '2024-01-03 09:32:17', '');
INSERT INTO `sys_menu` VALUES (1739896003340787714, '点评管理', 1739894975795027970, 1, 'commentManage', 'business/commentManage/index', NULL, 1, 0, 'C', '0', '0', 'business:commentManage:list', '', NULL, 1, '2023-12-27 14:28:28', 1, '2023-12-27 14:28:28', '');
INSERT INTO `sys_menu` VALUES (1740987295020429314, '课件解析审核', 1731284546386599937, 2, 'auditCaseInterpretation', 'business/auditCaseInterpretation/index', NULL, 1, 0, 'C', '0', '0', 'business:auditCaseInterpretation:list', '', NULL, 1, '2023-12-30 14:44:52', 1, '2024-01-17 15:45:48', '');
INSERT INTO `sys_menu` VALUES (1740989334127456258, '课件点评审核', 1731284546386599937, 3, 'auditCaseComment', 'business/auditCaseComment/index', NULL, 1, 0, 'C', '0', '0', 'business:auditCaseComment:index', '', NULL, 1, '2023-12-30 14:52:58', 1, '2024-01-17 15:45:55', '');
INSERT INTO `sys_menu` VALUES (1742375600128966657, '点评设置', 1744953326031536129, 1, 'commentSetting', 'system/commentSetting/index', NULL, 1, 0, 'C', '0', '0', 'system:commentSetting:list', '#', 103, 1, '2024-01-10 13:33:06', 1, '2024-01-18 15:58:51', '病例点评配置菜单');
INSERT INTO `sys_menu` VALUES (1742375600128966660, '点评配置修改', 1742375600128966657, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:commentSetting:edit', '#', 103, 1, '2024-01-10 13:33:34', 1, '2024-01-18 15:58:59', '');
INSERT INTO `sys_menu` VALUES (1743089765314015234, '主题色管理', 0, 3, 'themeColorManage', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'color', NULL, 1, '2024-01-05 09:59:20', 1, '2024-01-05 16:47:20', '');
INSERT INTO `sys_menu` VALUES (1743090434418749441, '主题色管理', 1743089765314015234, 1, 'themeColorManage', 'system/themeColorManage/index', NULL, 1, 0, 'C', '0', '0', 'system:themeColorManage:list', '', NULL, 1, '2024-01-05 10:01:59', 1, '2024-01-05 10:06:42', '');
INSERT INTO `sys_menu` VALUES (1744533923150368769, '点评管理查看点评', 1739896003340787714, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:query', '', NULL, 1, '2024-01-09 09:37:54', 1, '2024-01-09 09:50:52', '');
INSERT INTO `sys_menu` VALUES (1744534370208649217, '点评管理课件点评', 1739896003340787714, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:comment', '', NULL, 1, '2024-01-09 09:39:40', 1, '2024-01-17 15:49:09', '');
INSERT INTO `sys_menu` VALUES (1744535803184222209, '点评管理课件下载', 1739896003340787714, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:download', '', NULL, 1, '2024-01-09 09:45:22', 1, '2024-01-17 15:49:25', '');
INSERT INTO `sys_menu` VALUES (1744536500260769793, '点评管理分配专家', 1739896003340787714, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:expertAllocation', '', NULL, 1, '2024-01-09 09:48:08', 1, '2024-01-09 09:48:19', '');
INSERT INTO `sys_menu` VALUES (1744538814971318273, '点评拒绝原因', 1739896003340787714, 5, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:viewRejectReason', '', NULL, 1, '2024-01-09 09:57:20', 1, '2024-01-16 11:53:27', '');
INSERT INTO `sys_menu` VALUES (1744539385719623681, '点评管理重新点评', 1739896003340787714, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:commentManage:recomment', '', NULL, 1, '2024-01-09 09:59:36', 1, '2024-01-09 09:59:36', '');
INSERT INTO `sys_menu` VALUES (1744546115111292930, '课件审核通过', 1731288223377727490, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditBaseInfo:pass', '', NULL, 1, '2024-01-09 10:26:21', 1, '2024-01-17 15:46:09', '');
INSERT INTO `sys_menu` VALUES (1744546590095249409, '课件审核拒绝', 1731288223377727490, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditBaseInfo:reject', '', NULL, 1, '2024-01-09 10:28:14', 1, '2024-01-17 15:46:16', '');
INSERT INTO `sys_menu` VALUES (1744546847067672577, '课件审核下载', 1731288223377727490, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditBaseInfo:download', '', NULL, 1, '2024-01-09 10:29:15', 1, '2024-01-17 15:46:22', '');
INSERT INTO `sys_menu` VALUES (1744547030656552961, '课件审核上传美化', 1731288223377727490, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditBaseInfo:upload', '', NULL, 1, '2024-01-09 10:29:59', 1, '2024-01-17 15:46:29', '');
INSERT INTO `sys_menu` VALUES (1744548467587354626, '课件解析审核通过', 1740987295020429314, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseInterpretation:pass', '', NULL, 1, '2024-01-09 10:35:41', 1, '2024-01-17 15:46:52', '');
INSERT INTO `sys_menu` VALUES (1744548705735741442, '课件解析拒绝', 1740987295020429314, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseInterpretation:reject', '', NULL, 1, '2024-01-09 10:36:38', 1, '2024-01-17 15:46:59', '');
INSERT INTO `sys_menu` VALUES (1744549665098895362, '课件解析下载', 1740987295020429314, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseInterpretation:download', '', NULL, 1, '2024-01-09 10:40:27', 1, '2024-01-17 15:47:06', '');
INSERT INTO `sys_menu` VALUES (1744550000752267265, '课件解析拒绝原因', 1740987295020429314, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseInterpretation:rejectReason', '', NULL, 1, '2024-01-09 10:41:47', 1, '2024-01-17 15:47:13', '');
INSERT INTO `sys_menu` VALUES (1744551455559192578, '课件点评查询', 1740989334127456258, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:query', '', NULL, 1, '2024-01-09 10:47:34', 1, '2024-01-17 15:47:22', '');
INSERT INTO `sys_menu` VALUES (1744551627156557826, '课件点评审核通过', 1740989334127456258, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:pass', '', NULL, 1, '2024-01-09 10:48:15', 1, '2024-01-17 15:47:30', '');
INSERT INTO `sys_menu` VALUES (1744551906606256130, '课件点评审核拒绝', 1740989334127456258, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:reject', '', NULL, 1, '2024-01-09 10:49:21', 1, '2024-01-17 15:47:37', '');
INSERT INTO `sys_menu` VALUES (1744552220520550401, '课件点评审核下载', 1740989334127456258, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:download', '', NULL, 1, '2024-01-09 10:50:36', 1, '2024-01-17 15:47:43', '');
INSERT INTO `sys_menu` VALUES (1744552461651087362, '课件点评审核拒绝原因', 1740989334127456258, 5, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:rejectReason', '', NULL, 1, '2024-01-09 10:51:34', 1, '2024-01-17 15:47:51', '');
INSERT INTO `sys_menu` VALUES (1744552955761070081, '主题色管理', 1743090434418749441, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:themeColorManage:edit', '', NULL, 1, '2024-01-09 10:53:32', 1, '2024-01-09 10:53:32', '');
INSERT INTO `sys_menu` VALUES (1744953326031536129, '设置', 0, 7, 'settings', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'switch', NULL, 1, '2024-01-10 13:24:27', 1, '2024-01-10 13:25:04', '');
INSERT INTO `sys_menu` VALUES (1747103551901478914, '课件点评查看', 1740989334127456258, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'business:auditCaseComment:viewComment', '', NULL, 1, '2024-01-16 11:48:41', 1, '2024-01-17 15:48:38', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` bigint(20) NOT NULL COMMENT '公告ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '000000', '温馨提醒：2018-07-01 新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '000000', '维护通知：2018-07-01 系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 103, 1, '2023-11-15 15:12:29', NULL, NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL COMMENT '日志主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (1747890031515217921, '000000', '租户主题色设置', 2, 'org.dromara.system.controller.system.SysTenantController.themeColor()', 'PUT', 1, 'admin', '', '/system/tenant/themeColor', '221.230.181.214', '中国|江苏省|泰州市|电信', '{\"createDept\":null,\"createBy\":null,\"createTime\":null,\"updateBy\":null,\"updateTime\":null,\"id\":1,\"tenantId\":null,\"contactUserName\":null,\"contactPhone\":null,\"companyName\":null,\"remark\":null,\"packageId\":null,\"accountCount\":null,\"status\":null,\"tenantOrganization\":null,\"organizationName\":null,\"register\":null,\"agreementFileList\":null,\"pcAccessPath\":null,\"appAccessPath\":null,\"authorizedLogin\":null,\"caseReview\":null,\"caseComment\":null,\"caseCommentDistribution\":null,\"themeColor\":\"rgba(24, 92, 170, 1)\",\"caseCommentScore\":null}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 15:53:52', 20);
INSERT INTO `sys_oper_log` VALUES (1747891283512176642, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2024-01-10 13:33:06\",\"updateBy\":null,\"updateTime\":null,\"menuId\":\"1742375600128966657\",\"parentId\":\"1744953326031536129\",\"menuName\":\"点评设置\",\"orderNum\":1,\"path\":\"commentSetting\",\"component\":\"system/commentSetting/index\",\"queryParam\":null,\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"0\",\"status\":\"0\",\"perms\":\"system:commentSetting:list\",\"icon\":\"#\",\"remark\":\"病例点评配置菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 15:58:51', 97);
INSERT INTO `sys_oper_log` VALUES (1747891319365087234, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2024-01-10 13:33:34\",\"updateBy\":null,\"updateTime\":null,\"menuId\":\"1742375600128966660\",\"parentId\":\"1742375600128966657\",\"menuName\":\"点评配置修改\",\"orderNum\":1,\"path\":\"#\",\"component\":\"\",\"queryParam\":null,\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"F\",\"visible\":\"0\",\"status\":\"0\",\"perms\":\"system:commentSetting:edit\",\"icon\":\"#\",\"remark\":\"\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 15:58:59', 92);
INSERT INTO `sys_oper_log` VALUES (1747895053812576258, '000000', '用户管理', 2, 'org.dromara.system.controller.system.SysUserController.edit()', 'PUT', 1, '13852286548', '', '/system/user', '223.104.151.15', '中国|江苏省|泰州市|移动', '{\"createDept\":null,\"createBy\":null,\"createTime\":null,\"updateBy\":null,\"updateTime\":null,\"userId\":\"1747894964402597889\",\"deptId\":null,\"userName\":null,\"nickName\":\"吴志刚\",\"userType\":null,\"email\":null,\"phonenumber\":null,\"sex\":null,\"status\":null,\"remark\":null,\"roleIds\":null,\"postIds\":null,\"roleId\":null,\"organizationName\":\"人民医院\",\"title\":null,\"userCode\":null,\"loginIdentity\":\"0\",\"confirmAgreement\":null,\"caseAnalysisTimes\":null,\"bindDoctorList\":null,\"bindVolunteerList\":null,\"superAdmin\":false}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:13:50', 63);
INSERT INTO `sys_oper_log` VALUES (1747895916104167425, '000000', '用户管理', 2, 'org.dromara.system.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', '', '/system/user/changeStatus', '10.40.1.142', '内网IP', '{\"createDept\":null,\"createBy\":null,\"createTime\":null,\"updateBy\":null,\"updateTime\":null,\"userId\":\"1747894964402597889\",\"deptId\":null,\"userName\":null,\"nickName\":null,\"userType\":null,\"email\":null,\"phonenumber\":null,\"sex\":null,\"status\":\"1\",\"remark\":null,\"roleIds\":null,\"postIds\":null,\"roleId\":null,\"organizationName\":null,\"title\":null,\"userCode\":null,\"loginIdentity\":null,\"confirmAgreement\":null,\"caseAnalysisTimes\":null,\"bindDoctorList\":null,\"bindVolunteerList\":null,\"superAdmin\":false}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:17:15', 683);
INSERT INTO `sys_oper_log` VALUES (1747895931530817538, '000000', '用户管理', 3, 'org.dromara.system.controller.system.SysUserController.remove()', 'DELETE', 1, 'admin', '', '/system/user/1747894964402597889', '10.40.1.142', '内网IP', '{}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:17:19', 1282);
INSERT INTO `sys_oper_log` VALUES (1747903974591082497, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":3,\"parentId\":0,\"menuName\":\"系统工具\",\"orderNum\":10,\"path\":\"tool\",\"component\":null,\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"M\",\"visible\":\"1\",\"status\":\"0\",\"perms\":\"\",\"icon\":\"tool\",\"remark\":\"系统工具目录\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:49:17', 96);
INSERT INTO `sys_oper_log` VALUES (1747905636735037442, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":123,\"parentId\":1,\"menuName\":\"客户端管理\",\"orderNum\":11,\"path\":\"client\",\"component\":\"system/client/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"1\",\"status\":\"0\",\"perms\":\"system:client:list\",\"icon\":\"international\",\"remark\":\"客户端管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:55:53', 98);
INSERT INTO `sys_oper_log` VALUES (1747905713901842434, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":118,\"parentId\":1,\"menuName\":\"文件管理\",\"orderNum\":10,\"path\":\"oss\",\"component\":\"system/oss/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"1\",\"status\":\"0\",\"perms\":\"system:oss:list\",\"icon\":\"upload\",\"remark\":\"文件管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 16:56:11', 102);
INSERT INTO `sys_oper_log` VALUES (1747908149760667650, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":105,\"parentId\":1,\"menuName\":\"字典管理\",\"orderNum\":6,\"path\":\"dict\",\"component\":\"system/dict/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"1\",\"status\":\"0\",\"perms\":\"system:dict:list\",\"icon\":\"dict\",\"remark\":\"字典管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:05:52', 90);
INSERT INTO `sys_oper_log` VALUES (1747909256658464770, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":105,\"parentId\":1,\"menuName\":\"字典管理\",\"orderNum\":6,\"path\":\"dict\",\"component\":\"system/dict/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"0\",\"status\":\"0\",\"perms\":\"system:dict:list\",\"icon\":\"dict\",\"remark\":\"字典管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:10:16', 97);
INSERT INTO `sys_oper_log` VALUES (1747909297901056001, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":118,\"parentId\":1,\"menuName\":\"文件管理\",\"orderNum\":10,\"path\":\"oss\",\"component\":\"system/oss/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"0\",\"status\":\"0\",\"perms\":\"system:oss:list\",\"icon\":\"upload\",\"remark\":\"文件管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:10:26', 100);
INSERT INTO `sys_oper_log` VALUES (1747909750973968385, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":105,\"parentId\":1,\"menuName\":\"字典管理\",\"orderNum\":6,\"path\":\"dict\",\"component\":\"system/dict/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"1\",\"status\":\"1\",\"perms\":\"system:dict:list\",\"icon\":\"dict\",\"remark\":\"字典管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:12:14', 90);
INSERT INTO `sys_oper_log` VALUES (1747909783240749057, '000000', '菜单管理', 2, 'org.dromara.system.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '', '/system/menu', '10.40.1.142', '内网IP', '{\"createDept\":103,\"createBy\":null,\"createTime\":\"2023-11-15 15:12:28\",\"updateBy\":null,\"updateTime\":null,\"menuId\":118,\"parentId\":1,\"menuName\":\"文件管理\",\"orderNum\":10,\"path\":\"oss\",\"component\":\"system/oss/index\",\"queryParam\":\"\",\"isFrame\":\"1\",\"isCache\":\"0\",\"menuType\":\"C\",\"visible\":\"1\",\"status\":\"1\",\"perms\":\"system:oss:list\",\"icon\":\"upload\",\"remark\":\"文件管理菜单\"}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:12:22', 100);
INSERT INTO `sys_oper_log` VALUES (1747909974886887426, '000000', 'OSS对象存储', 1, 'org.dromara.system.controller.system.SysOssController.upload()', 'POST', 1, 'admin', '', '/resource/oss/upload', '10.40.1.142', '内网IP', '', '{\"code\":200,\"msg\":\"操作成功\",\"data\":{\"url\":\"http://baiji-case-collection-system-dev.oss-cn-shanghai.aliyuncs.com/case/2024/01/18/ac76ad964f5a41fc9192d1cbd7f1b417.mp3\",\"name\":\"宝宝巴士 - 小兔子乖乖.mp3\",\"ossId\":\"1747909974106746881\"}}', 0, '', '2024-01-18 17:13:07', 706);
INSERT INTO `sys_oper_log` VALUES (1747909991819292674, '000000', '病例基础信息', 1, 'org.dromara.business.controller.CaseBaseInfoController.add()', 'POST', 1, 'admin', '', '/business/caseBaseInfo', '10.40.1.142', '内网IP', '{\"createDept\":null,\"createBy\":null,\"createTime\":null,\"updateBy\":null,\"updateTime\":null,\"id\":\"1747909991232090114\",\"tenantId\":null,\"userId\":1,\"userIds\":null,\"uploadUserId\":1,\"caseId\":\"H0UID2024011817131100001\",\"caseName\":\"测试病例上传\",\"caseFileList\":[{\"ossId\":\"1747909974106746881\",\"name\":\"宝宝巴士 - 小兔子乖乖.mp3\",\"url\":\"http://baiji-case-collection-system-dev.oss-cn-shanghai.aliyuncs.com/case/2024/01/18/ac76ad964f5a41fc9192d1cbd7f1b417.mp3\"}],\"caseBeautifyFileList\":null,\"checkStatus\":\"0\",\"caseStatus\":\"0\",\"caseDescription\":null,\"beautifyStatus\":null,\"uploadType\":\"0\",\"commentUserId\":null,\"commentUserIds\":null,\"rejectReason\":null,\"commentTime\":null,\"checkTime\":null,\"commentAuditStatus\":null,\"commentStatus\":null,\"commentContent\":null,\"commentRejectReason\":null,\"caseAnalysisStatus\":null,\"analysisRejectReason\":null,\"commentScore\":null,\"projectName\":null}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:13:11', 225);
INSERT INTO `sys_oper_log` VALUES (1747910251203440642, '000000', '病例基础信息', 2, 'org.dromara.business.controller.CaseBaseInfoController.edit()', 'PUT', 1, 'admin', '', '/business/caseBaseInfo', '10.40.1.142', '内网IP', '{\"createDept\":null,\"createBy\":null,\"createTime\":null,\"updateBy\":null,\"updateTime\":null,\"id\":\"1747909991232090114\",\"tenantId\":null,\"userId\":null,\"userIds\":null,\"uploadUserId\":null,\"caseId\":null,\"caseName\":null,\"caseFileList\":null,\"caseBeautifyFileList\":null,\"checkStatus\":null,\"caseStatus\":\"1\",\"caseDescription\":null,\"beautifyStatus\":null,\"uploadType\":null,\"commentUserId\":null,\"commentUserIds\":null,\"rejectReason\":null,\"commentTime\":null,\"checkTime\":null,\"commentAuditStatus\":null,\"commentStatus\":null,\"commentContent\":null,\"commentRejectReason\":null,\"caseAnalysisStatus\":null,\"analysisRejectReason\":null,\"commentScore\":null,\"projectName\":null}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:14:13', 693);
INSERT INTO `sys_oper_log` VALUES (1747910266403598338, '000000', '病例基础信息', 3, 'org.dromara.business.controller.CaseBaseInfoController.remove()', 'DELETE', 1, 'admin', '', '/business/caseBaseInfo/1747909991232090114', '10.40.1.142', '内网IP', '{}', '{\"code\":200,\"msg\":\"操作成功\",\"data\":null}', 0, '', '2024-01-18 17:14:17', 174);

-- ----------------------------
-- Table structure for sys_oss
-- ----------------------------
DROP TABLE IF EXISTS `sys_oss`;
CREATE TABLE `sys_oss`  (
  `oss_id` bigint(20) NOT NULL COMMENT '对象存储主键',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '文件名',
  `original_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '原名',
  `file_suffix` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '文件后缀名',
  `url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'URL地址',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '上传人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新人',
  `service` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'minio' COMMENT '服务商',
  PRIMARY KEY (`oss_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'OSS对象存储表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oss
-- ----------------------------
INSERT INTO `sys_oss` VALUES (1747909974106746881, '000000', 'case/2024/01/18/ac76ad964f5a41fc9192d1cbd7f1b417.mp3', '宝宝巴士 - 小兔子乖乖.mp3', '.mp3', 'http://baiji-case-collection-system-dev.oss-cn-shanghai.aliyuncs.com/case/2024/01/18/ac76ad964f5a41fc9192d1cbd7f1b417.mp3', NULL, '2024-01-18 17:13:07', 1, '2024-01-18 17:13:07', 1, 'aliyun');

-- ----------------------------
-- Table structure for sys_oss_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_oss_config`;
CREATE TABLE `sys_oss_config`  (
  `oss_config_id` bigint(20) NOT NULL COMMENT '主建',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `config_key` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '配置key',
  `access_key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'accessKey',
  `secret_key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '秘钥',
  `bucket_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '桶名称',
  `prefix` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '前缀',
  `endpoint` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '访问站点',
  `domain` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '自定义域名',
  `is_https` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否https（Y=是,N=否）',
  `region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '域',
  `access_policy` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1' COMMENT '桶权限类型(0=private 1=public 2=custom)',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否默认（0=是,1=否）',
  `ext1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '扩展字段',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`oss_config_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '对象存储配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oss_config
-- ----------------------------
INSERT INTO `sys_oss_config` VALUES (1, '000000', 'minio', 'ruoyi', 'ruoyi123', 'ruoyi', '', '127.0.0.1:9000', '', 'N', '', '1', '1', '', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-27 16:03:40', NULL);
INSERT INTO `sys_oss_config` VALUES (2, '000000', 'qiniu', 'XXXXXXXXXXXXXXX', 'XXXXXXXXXXXXXXX', 'ruoyi', '', 's3-cn-north-1.qiniucs.com', '', 'N', '', '1', '1', '', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', NULL);
INSERT INTO `sys_oss_config` VALUES (3, '000000', 'aliyun', 'LTAI5t6WgwRWjPdxFfrR3PFn', 'n0NxInUZiamjG3ZGK82a6VK5RVhF5V', 'baiji-case-collection-system-dev', 'case', 'oss-cn-shanghai.aliyuncs.com', '', 'N', '', '1', '0', '', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-29 09:17:42', '');
INSERT INTO `sys_oss_config` VALUES (4, '000000', 'qcloud', 'XXXXXXXXXXXXXXX', 'XXXXXXXXXXXXXXX', 'ruoyi-1250000000', '', 'cos.ap-beijing.myqcloud.com', '', 'N', 'ap-beijing', '1', '1', '', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', NULL);
INSERT INTO `sys_oss_config` VALUES (5, '000000', 'image', 'ruoyi', 'ruoyi123', 'ruoyi', 'image', '127.0.0.1:9000', '', 'N', '', '1', '1', '', 103, 1, '2023-11-15 15:12:29', 1, '2023-11-15 15:12:29', NULL);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, '000000', 'ceo', '董事长', 1, '0', 103, 1, '2023-11-15 15:12:27', NULL, NULL, '');
INSERT INTO `sys_post` VALUES (2, '000000', 'se', '项目经理', 2, '0', 103, 1, '2023-11-15 15:12:27', NULL, NULL, '');
INSERT INTO `sys_post` VALUES (3, '000000', 'hr', '人力资源', 3, '0', 103, 1, '2023-11-15 15:12:27', NULL, NULL, '');
INSERT INTO `sys_post` VALUES (4, '000000', 'user', '普通员工', 4, '0', 103, 1, '2023-11-15 15:12:27', NULL, NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '000000', '超级管理员', 'superadmin', 1, '1', 1, 1, '0', '0', 103, 1, '2023-11-15 15:12:28', NULL, NULL, '超级管理员');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_social
-- ----------------------------
DROP TABLE IF EXISTS `sys_social`;
CREATE TABLE `sys_social`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户id',
  `auth_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '平台+平台唯一id',
  `source` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户来源',
  `open_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平台编号唯一id',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '登录账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户昵称',
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `avatar` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `access_token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户的授权令牌',
  `expire_in` int(11) NULL DEFAULT NULL COMMENT '用户的授权令牌的有效期，部分平台可能没有',
  `refresh_token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '刷新令牌，部分平台可能没有',
  `access_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平台的授权信息，部分平台可能没有',
  `union_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户的 unionid',
  `scope` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '授予的权限，部分平台可能没有',
  `token_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '个别平台的授权信息，部分平台可能没有',
  `id_token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'id token，部分平台可能没有',
  `mac_algorithm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '小米平台用户的附带属性，部分平台可能没有',
  `mac_key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '小米平台用户的附带属性，部分平台可能没有',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户的授权code，部分平台可能没有',
  `oauth_token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Twitter平台用户的附带属性，部分平台可能没有',
  `oauth_token_secret` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Twitter平台用户的附带属性，部分平台可能没有',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '社会化关系表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_social
-- ----------------------------

-- ----------------------------
-- Table structure for sys_tenant
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant`;
CREATE TABLE `sys_tenant`  (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '租户编号',
  `contact_user_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `company_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户名称',
  `license_number` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '统一社会信用代码',
  `address` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `intro` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '企业简介',
  `domain` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '域名',
  `remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `package_id` bigint(20) NULL DEFAULT NULL COMMENT '租户套餐编号',
  `expire_time` datetime NULL DEFAULT NULL COMMENT '过期时间',
  `account_count` int(11) NULL DEFAULT -1 COMMENT '用户数量（-1不限制）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '租户状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_organization` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '合作组织',
  `register` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '注册（0开通 1关闭）',
  `agreement_file_url` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '协议文件地址',
  `pc_access_path` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '学会管理端访问地址',
  `app_access_path` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '移动端访问地址',
  `authorized_login` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '授权登录',
  `case_review` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例需要审核 0是 1否',
  `case_comment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例需要点评 0是 1否',
  `case_comment_distribution` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例点评分配 0手动  1自动',
  `theme_color` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '主题色',
  `case_comment_score` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病例是否评分 0是 1否',
  `water_mark_text` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '水印内容',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant
-- ----------------------------
INSERT INTO `sys_tenant` VALUES (1, '000000', '超级管理员', '18817954846', '百济', NULL, NULL, '多租户通用后台管理管理系统', NULL, NULL, NULL, NULL, -1, '0', '0', NULL, 1, '2023-11-15 15:12:27', 1, '2024-01-18 15:53:52', '', '0', NULL, 'http://119.3.122.248:8061/login?tenantId=000000', 'http://119.3.122.248:8062/#/?tenantId=000000', '0,1,2', '0', '0', '0', NULL, '0', NULL);

-- ----------------------------
-- Table structure for sys_tenant_package
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_package`;
CREATE TABLE `sys_tenant_package`  (
  `package_id` bigint(20) NOT NULL COMMENT '租户套餐id',
  `package_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '套餐名称',
  `menu_ids` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联菜单id',
  `remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`package_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户套餐表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant_package
-- ----------------------------
INSERT INTO `sys_tenant_package` VALUES (1725440118006706178, '租户基本权限', '1, 100, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 101, 1008, 1009, 1010, 1011, 1012, 1726506930072965121, 1729057185427558401, 1729057185427558402, 1729057185427558403, 1729057185427558404, 1729057185427558405, 1729057185427558406, 1731284546386599937, 1731288223377727490, 1744546115111292930, 1744546590095249409, 1744546847067672577, 1744547030656552961, 1740987295020429314, 1744548467587354626, 1744548705735741442, 1744549665098895362, 1744550000752267265, 1740989334127456258, 1744551455559192578, 1744551627156557826, 1744551906606256130, 1744552220520550401, 1744552461651087362, 1739894975795027970, 1739896003340787714, 1744533923150368769, 1744534370208649217, 1744535803184222209, 1744536500260769793, 1744538814971318273, 1744539385719623681, 1744953326031536129, 1742375600128966657, 1742375600128966660, 1736950845018812417, 1736951493508542465, 1736951493508542466, 1736951493508542467, 1736951493508542468', '', 1, '0', '0', 103, 1, '2023-11-17 17:05:56', 1, '2024-01-15 11:12:09');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `tenant_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户编号',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `user_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'sys_user' COMMENT '用户类型（sys_user系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` bigint(20) NULL DEFAULT NULL COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_dept` bigint(20) NULL DEFAULT NULL COMMENT '创建部门',
  `create_by` bigint(20) NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` bigint(20) NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `organization_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '单位名称',
  `title` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职称',
  `user_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户编码',
  `login_identity` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录身份 0医生 1志愿者 2专家',
  `confirm_agreement` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '确认协议 0未确认 1已确认',
  `case_analysis_times` int(11) NULL DEFAULT 0 COMMENT '病例解析次数',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, '000000', NULL, 'admin', '管理员', 'sys_user', '', '18817954846', '0', 1736587770021359618, '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '221.230.181.214', '2024-01-18 15:52:59', 103, 1, '2023-11-15 15:12:27', 1, '2024-01-18 15:52:59', '管理员', '单位', '0', 'H0UID2023121411162900001', '0', NULL, 3);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);

SET FOREIGN_KEY_CHECKS = 1;

-- ----------------------------
--  case_base_info新增  beautify_file_download 字段
-- ----------------------------
ALTER TABLE case_base_info
    ADD COLUMN beautify_file_download char(1) DEFAULT NULL COMMENT '美化文件下载 0未下载 1已下载';


-- ----------------------------
--  case_base_info 修改  case_file 字段
-- ----------------------------
ALTER TABLE case_base_info
    MODIFY COLUMN case_file varchar(10000) DEFAULT NULL COMMENT '课件文件';
-- ----------------------------
--  case_sms_config  模版数据更新
-- ----------------------------
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '课件审核通过', `sms_code` = 'SMS_465095093', `sms_content` = '【H0】您提交的课件已通过审核' WHERE `sms_code` = 'SMS_464071297';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '课件审核未通过', `sms_code` = 'SMS_465160086', `sms_content` = '【H0】您提交的课件审核未通过，未通过原因为{xxx}，请登录系统重新上传' WHERE `sms_code` = 'SMS_464051368';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '已上传美化课件', `sms_code` = 'SMS_465145088', `sms_content` = '【H0】您提交的课件已完成美化，请登录系统查看美化课件' WHERE `sms_code` = 'SMS_464051372';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '课件已点评', `sms_code` = 'SMS_465130086', `sms_content` = '【H0】您提交的课件专家已点评，请登录系统查看专家评语' WHERE `sms_code` = 'SMS_464061345';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '解析申请审核通过', `sms_code` = 'SMS_465075111', `sms_content` = '【H0】您提交的课件解析申请已通过，我们将于3日内完成解析。' WHERE `sms_code` = 'SMS_464061348';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '解析申请审核未通过', `sms_code` = 'SMS_465140083', `sms_content` = '【H0】您提交的课件不满足解析条件，无法进行解析，请尝试申请其他课件解析。' WHERE `sms_code` = 'SMS_464056300';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '解析已完成', `sms_code` = 'SMS_465070172', `sms_content` = '【H0】您提交的课件已完成解析，请登录系统查看课件解析结果' WHERE `sms_code` = 'SMS_464056301';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '志愿者绑定医生', `sms_code` = 'SMS_465080090', `sms_content` = '【H0】您好，志愿者{name}已与您完成绑定，可辅助您上传课件，如取消绑定关系请登录系统查看个人中心，取消绑定' WHERE `sms_code` = 'SMS_464126306';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '医生绑定志愿者', `sms_code` = 'SMS_465145082', `sms_content` = '【H0】您好，医生{name}已与您完成绑定，您可辅助医生上传课件，如取消绑定关系请登录系统查看个人中心，取消绑定' WHERE `sms_code` = 'SMS_464126311';
UPDATE `case_collection`.`case_sms_config` SET `sms_name` = '医生志愿者解绑', `sms_code` = 'SMS_465160079', `sms_content` = '【H0】您好，{name}已与您解除绑定关系，志愿者将无法辅助上传课件' WHERE `sms_code` = 'SMS_464101294';
